--Run SLH_Config_Lua  	
	SLH_AS_Lua = CreateFrame("Frame", "SLH_AS_Lua")
	SLH_AS_Lua:RegisterEvent("ADDON_LOADED")
	SLH_AS_Lua:HookScript("OnEvent", function (self, event, name, ...)
		if (name ~= "SalensLittleHelper") then return end

		--Theoretically speeds up access to global variables by making them local.  This is supposed to be faster.  I have no proof this is true.	
			local _G_SLH = _G 

		local SLH_PCSV_UnitName = _G_SLH["SLH_PCSV"]["SLH_PCSV_UnitNameGlobal"]
		local AS_Profile = _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["AS_Profile"]
			
		--Development Mode Boolean (Controls various Overrides, disable to test and distribute.)
			local SLH_AS_DevMode = false
			--[[DevMode]]if SLH_AS_DevMode and name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS AS_Lua addonName: " .. name) end	
			
		-- Set Variables
			local SLH_AS_SetVars= function (self, event, name, ...)
				-- Test/Create SLH_SV Table			
					if _G_SLH["SLH_SV"] == nil then _G_SLH["SLH_SV"] = {} end			
				-- Test/Create SLH_SV.AS_Profile Table
					if _G_SLH["SLH_SV"][AS_Profile] == nil then _G_SLH["SLH_SV"][AS_Profile] = {}  end	
				-- Test/Create SLH_AS Table
					if _G_SLH["SLH_SV"][AS_Profile]["AS"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"] = {}  end	
						
				-- Test/Create SLH_AS Variables
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Enable"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["Enable"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellPoor"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellPoor"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellCommon"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellCommon"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellUncommon"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellUncommon"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellRare"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellRare"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellEpic"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellEpic"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellLegendary"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellLegendary"] = "N" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellArtifact"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellArtifact"] = "N" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimitEnabled"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimitEnabled"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimit"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimit"] = 120 end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnEquip"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnEquip"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnPickup"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnPickup"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnUse"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnUse"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellConsumables"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellConsumables"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellQuest"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellQuest"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellSoulbound"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellSoulbound"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellCraftingReagents"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellCraftingReagents"] = "N" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListConfirmation"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListConfirmation"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellToBuybackLimit"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellToBuybackLimit"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag0"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag0"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag1"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag1"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag2"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag2"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag3"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag3"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag4"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag4"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleDetails"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleDetails"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleTotals"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleTotals"] = "Y" end
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ResetExceptionList"] == nil then _G_SLH["SLH_SV"][AS_Profile]["AS"]["ResetExceptionList"] = "N" end


		--SLH_AS_ExceptionList
			local SLH_AS_ReloadDefaultExceptionList= function (self, event, name, ...)
				_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"] = {
							"100 Year Soy Sauce",
							"Abyssal Gulper Eel Flesh",
							"Abyssal Healing Potion",
							"Acacia Powder",
							"Adamantite Frame",
							"Aerated Water",
							"Aethril",
							"Alchemical Catalyst",
							"Amber Tanning Oil",
							"Ancient Healing Potion",
							"Angerseye",
							"Arclight Spanner",
							"Arctic Fur",
							"Arena Master's War Horn",
							"Argulite",
							"Arkhana",
							"Aromatic Fish Oil",
							"Astral Glory",
							"Autumnal Herbs",
							"Azure Silk Hood",
							"Azure Silk Pants",
							"Azure Silk Vest",
							"Barely Stable Azerite Reactor",
							"Barley",
							"Battle Potion of Intellect",
							"Battle Standard of Coordination",
							"Beautiful Wildflowers",
							"Big Gamy Ribs",
							"Black Barracuda",
							"Black Dye",
							"Black Mageweave Robe",
							"Black Mageweave Vest",
							"Black Pepper",
							"Black Rose",
							"Black Trillium Ore",
							"Blackfallow Ink",
							"Blackrock Ore",
							"Blacksmith Hammer",
							"Blackwater Whiptail Flesh",
							"Bleach",
							"Blind Lake Sturgeon Flesh",
							"Blood of Sargeras",
							"Blood Spirit",
							"Blue Dye",
							"Blue Firework",
							"Blue Linen Shirt",
							"Blue Overalls",
							"Bolt of Linen Cloth",
							"Bolt of Silk Cloth",
							"Bolt of Woolen Cloth",
							"Bone Bound Knuckles",
							"Bouquet of Black Roses",
							"Bouquet of White Roses",
							"Braided Copper Ring",
							"Bronze Framework",
							"Bronze Tube",
							"Brown Linen Shirt",
							"Bruiseweed",
							"Burnished Leather",
							"Celestial Ink",
							"Ceremonious Armguards",
							"Ceremonious Axe",
							"Ceremonious Blade",
							"Ceremonious Claymore",
							"Ceremonious Mace",
							"Ceremonious Reaper",
							"Ceremonious Shanker",
							"Ceremonious Shield",
							"Ceremonious Smasher",
							"Ceremonious Spear",
							"Chaos Blaster",
							"Chemical Blasting Cap",
							"Chemirine",
							"Chimera's Eye",
							"Choral Honey",
							"Cindercloth Boots",
							"Coal",
							"Coarse Blasting Powder",
							"Coarse Leather Barding",
							"Coarse Thread",
							"Composite Bow",
							"Composite Crossbow",
							"Construct Supply Key",
							"Copper Ore",
							"Copper Rod",
							"Crescent Saberfish Flesh",
							"Crimson Ink",
							"Crimson Silk Pantaloons",
							"Crimson Silk Vest",
							"Crusader Orb",
							"Crystal Vial",
							"Curing Salt",
							"Cursed Queenfish",
							"Dalapeño Pepper",
							"Dalaran Hearthstone",
							"Dark Parchment",
							"Darkflame Ink",
							"Deadly Jewel Doublet",
							"Deadly Laestrite Band of the Fireflash",
							"Deadly Laestrite Band of the Peerless",
							"Deadly Laestrite Band of the Quickblade",
							"Deadly Laestrite Choker of the Fireflash",
							"Deadly Laestrite Choker of the Peerless",
							"Deadly Laestrite Choker of the Quickblade",
							"Deadly Sinvyr Necklace",
							"Deathwing Scale Fragment",
							"Deep Sea Bag",
							"Delicate Copper Wire",
							"Desolate Leather Armguards",
							"Desolate Leather Cestus",
							"Desolate Leather Treads",
							"Desolate Scale Armguards",
							"Desolate Scale Greaves",
							"Desolate Scale Treads",
							"Dig Rat",
							"Discarded Commendation",
							"Distilled Death Extract",
							"Distilled Water",
							"Double-Stitched Woolen Shoulders",
							"Draenic Dust",
							"Draenic Philosopher's Stone",
							"Dragon's Eye",
							"Dreaming Glory",
							"Dreamleaf",
							"Drums of Deathly Ferocity",
							"Durable Flux",
							"Earthroot",
							"Elemental Blasting Powder",
							"Elemental Flux",
							"Elementium-Plated Exhaust Pipe",
							"Embalmer's Oil",
							"Embersilk Bag",
							"Empyrium",
							"Enchant Boots - Eternal Agility",
							"Enchant Boots - Soul Treads",
							"Enchant Bracers - Eternal Intellect",
							"Enchant Bracers - Shaded Hearthing",
							"Enchant Chest - Eternal Skirmish",
							"Enchant Chest - Eternal Stats",
							"Enchant Cloak - Fortified Avoidance",
							"Enchant Cloak - Fortified Leech",
							"Enchant Cloak - Fortified Speed",
							"Enchant Gloves - Eternal Strength",
							"Enchant Gloves - Shadowlands Gathering",
							"Enchant Gloves - Zandalari Herbalism",
							"Enchant Ring - Bargain of Critical Strike",
							"Enchant Ring - Tenet of Critical Strike",
							"Enchant Ring - Tenet of Mastery",
							"Enchant Weapon - Celestial Guidance",
							"Enchant Weapon - Eternal Grace",
							"Enchant Weapon - Lightless Force",
							"Enchant Weapon - Mark of the Shattered Hand",
							"Enchant Weapon - Sinful Revelation",
							"Enchanting Vellum",
							"Endless Tincture of Renewed Combat",
							"Engineer's Ink",
							"Engraved Truesilver Ring",
							"Eternal Air",
							"Eternal Earth",
							"Eternal Fire",
							"Eternal Life",
							"Eternal Shadow",
							"Eternal Water",
							"Eternium Thread",
							"Ethereal Ink",
							"Ethereal Shard",
							"Exotic Leather",
							"Farm Chicken",
							"Fat Sleeper Flesh",
							"Fatty Bearsteak",
							"Feast of Gluttonous Hedonism",
							"Fel Iron Casing",
							"Felblight",
							"Felcloth",
							"Felgibber Shotgun",
							"Felslate",
							"Felsteel Stabilizer",
							"Felweed",
							"Fiendish Leather",
							"Fine Thread",
							"Fire Ammonite Tentacle",
							"Fireweed",
							"Fjarnskaggl",
							"Flagon of Dwarven Mead",
							"Flaked Sea Salt",
							"Flask of Stormwind Tawny",
							"Flight Master's Whistle",
							"Florid Malachite",
							"Foosaka",
							"Formal White Shirt",
							"Foxflower Flux",
							"Foxflower",
							"Fresh Mangos",
							"Fresh Potato",
							"Fresh Strawberries",
							"Frost Lotus",
							"Frostweed",
							"Frozen Orb",
							"Garrison Hearthstone",
							"Gearspring Parts",
							"Ghost Iron Ore",
							"Ginseng",
							"Glompmaw's Ring",
							"Gnomish Army Knife",
							"Goblin Glider Kit",
							"Goblin-Machined Piston",
							"Golden Beryl Ring of the Feverflare",
							"Golden Lotus",
							"Gorgrond Flytrap",
							"Grand Inquisitor's Sinstone Fragment",
							"Gray Dye",
							"Greater Dutiful Spirit",
							"Greater Flask of Endless Fathoms",
							"Greater Flask of the Currents",
							"Greater Mana Potion",
							"Greater Prideful Spirit",
							"Green Dye",
							"Green Firework",
							"Green Linen Bracers",
							"Green Linen Shirt",
							"Green Silken Shoulders",
							"Gromsblood",
							"Gyrochronatom",
							"Hair Trigger",
							"Handful of Fel Iron Bolts",
							"Handstitched Linen Britches",
							"Hardened Adamantite Tube",
							"Healing Potion",
							"Hearthstone",
							"Heavy Callous Hide",
							"Heavy Desolate Leather",
							"Heavy Leather",
							"Heavy Silken Thread",
							"Heavy Stock",
							"Heavy Woolen Gloves",
							"Heavy Woolen Pants",
							"Hesselian",
							"Hexweave Bag",
							"Hexweave Cloth",
							"Highland Pomegranate",
							"Highmountain Salmon",
							"Holiday Spices",
							"Holiday Spirits",
							"Honey",
							"Hula Girl Doll",
							"Hyjal Expedition Bag",
							"Hypersensitive Azeritometer Sensor",
							"Ice Cold Milk",
							"Icecap",
							"Immortal Shard",
							"Inconceivably Aged Vinegar",
							"Inferno Ink",
							"Infused Remnant of Light",
							"Ink of Dreams",
							"Ink of the Sea",
							"Instant Noodles",
							"Insulated Wiring",
							"Iridescent Ravioli with Apple Sauce",
							"Jadefire Ink",
							"Jawless Skulker Flesh",
							"Jeweler's Kit",
							"Jeweler's Setting",
							"Jug of Badlands Bourbon",
							"Khorium Power Core",
							"Kingsblood",
							"Kyparite",
							"Labradorite",
							"Laestrite Setting",
							"Large Red Sack",
							"Lean Shank",
							"Lesser Magic Essence",
							"Leyblood",
							"Leylight Shard",
							"Leystone Ore",
							"Liferoot",
							"Light Parchment",
							"Lightless Silk Pouch",
							"Lightless Silk",
							"Lightsphene",
							"Lightweave Cloth",
							"Linen Bag",
							"Linen Cloth",
							"Lion's Ink",
							"Loose Trigger",
							"Luminous Flux",
							"Lusterwheat Flour",
							"Machinist's Oil",
							"Mageroyal",
							"Mageweave Bag",
							"Mageweave Cloth",
							"Major Healing Potion",
							"Major Mana Potion",
							"Major's Frothy Coffee",
							"Malleable Wire",
							"Mana Potion",
							"Mana Thistle",
							"Maroon Ink",
							"Masterful Jewel Cluster",
							"Masterful Jewel Doublet",
							"Masterful Laestrite Band of the Feverflare",
							"Masterful Laestrite Band of the Harmonious",
							"Masterful Laestrite Band of the Peerless",
							"Masterful Laestrite Choker of the Feverflare",
							"Masterful Laestrite Choker of the Harmonious",
							"Masterful Laestrite Choker of the Peerless",
							"Masterful Phaedrum Ring",
							"Maw-Touched Miasma",
							"Mechagon Tinkering",
							"Medium Hide",
							"Medium Leather",
							"Medley of Transplanar Spices",
							"Midnight Ink",
							"Mild Spices",
							"Mining Pick",
							"Mirror of Despair",
							"Monelite Skeleton Key",
							"Moonglow Ink",
							"Mossgill Perch",
							"Mote of Earth",
							"Mote of Fire",
							"Mote of Shadow",
							"Mote of Water",
							"Mulgore Sweet Potato",
							"Muskenbutter",
							"Mysterious Essence",
							"Mystery Meat",
							"Nagrand Arrowbloom",
							"Needle Mushrooms",
							"Nether Vortex",
							"Netherbloom",
							"Nethershard Essence",
							"Net-o-Matic 5000",
							"Nightcrawlers",
							"Northern Spices",
							"Northsea Pearl",
							"Notorious Combatant's Leather Armguards of the Harmonious",
							"Notorious Combatant's Leather Armguards of the Peerless",
							"Notorious Combatant's Mail Gauntlets of the Fireflash",
							"Nylon Thread",
							"Orange Dye",
							"Orb of Mystery",
							"Orboreal Shard",
							"Oriblase",
							"Otherworldly Bag",
							"Oversized Blasting Cap",
							"Pandaren Peach",
							"Peacebloom",
							"Peerless Alchemist Stone",
							"Penumbra Thread",
							"Pink Dye",
							"Plain Wooden Staff",
							"Pocket Embers",
							"Potion of Concealment",
							"Potion of Phantom Fire",
							"Potion of Unbridled Fury",
							"Powdered Sugar",
							"Preserved Ogre Eye",
							"Primal Nether",
							"Primal Spirit",
							"Primordial Saronite",
							"Prismatic Scale",
							"Pristine Hide",
							"Purified Draenic Water",
							"Purple Dye",
							"Pyrium-Laced Crystalline Vial",
							"Quick Jewel Cluster",
							"Quick Jewel Doublet",
							"Quick Laestrite Band of the Aurora",
							"Quick Laestrite Band of the Feverflare",
							"Quick Laestrite Band of the Fireflash",
							"Quick Laestrite Choker of the Aurora",
							"Quick Laestrite Choker of the Feverflare",
							"Quick Laestrite Choker of the Fireflash",
							"Quick Oxxein Ring",
							"Raw Beast Hide",
							"Raw Boar Meat",
							"Raw Clefthoof Meat",
							"Raw Elekk Meat",
							"Raw Riverbeast Meat",
							"Raw Talbuk Meat",
							"Recipe: Coarse Leather Barding",
							"Recipe: Superior Battle Potion of Stamina",
							"Red Beans",
							"Red Dye",
							"Red Firework",
							"Red Linen Shirt",
							"Red Ring of Destruction",
							"Red Rose",
							"Red Swashbuckler's Shirt",
							"Refreshing Spring Water",
							"Rice Flour",
							"Rice",
							"Rich Grazer Milk",
							"Ring of Silver Might",
							"Ripe Elwynn Pumpkin",
							"Ripe Tirisfal Pumpkin",
							"River Onion",
							"Roseate Pigment",
							"Rough Blasting Powder",
							"Royal Olive",
							"Rune Etched Vial",
							"Rune Thread",
							"Runecloth Headband",
							"Runed Copper Rod",
							"Runed Elementium Rod",
							"Runed Orb",
							"Runescale Koi",
							"Runic Catgut",
							"Runic Healing Potion",
							"Runic Mana Potion",
							"Rylak Egg",
							"Sallow Pigment",
							"Salt",
							"Salvaged Iron Golem Parts",
							"Sands of Time",
							"Savage Blood",
							"Savory Snowplum",
							"Schematic: Red Firework",
							"Schematic: Steam Tonk Controller",
							"Scroll of Strength V",
							"Sea Scorpion Segment",
							"Sealing Wax",
							"Sentinel Stonewing",
							"Serpent's Eye",
							"Shadebound Pauldrons",
							"Shaded Sharpening Stone",
							"Shadow Protection Potion",
							"Shadowcore Oil",
							"Shadowsteel Armguards",
							"Shadowsteel Sabatons",
							"Shal'dorei Silk",
							"Sharp Spritethorn",
							"Shimmering Ink",
							"Shrouded Cloth Bag",
							"Shrouded Cloth Bracers",
							"Shrouded Cloth Cape",
							"Shrouded Cloth Sandals",
							"Shrouded Cloth",
							"Silk Cloth",
							"Silk Headband",
							"Silken Thread",
							"Silkworm Pupa",
							"Silver Charm Bracelet",
							"Silver Contact",
							"Silver Ore",
							"Silverleaf",
							"Simple Dress",
							"Simple Flour",
							"Simple Kilt",
							"Simple Opal Ring",
							"Simple Wildflowers",
							"Simple Wood",
							"Siren's Tear",
							"Skin of Dwarven Stout",
							"Skinning Knife",
							"Smuggled Azerothian Produce",
							"Sniping Scope",
							"Snowball",
							"Snowfall Ink",
							"Sorcerous Air",
							"Sorcerous Earth",
							"Sorcerous Fire",
							"Sorcerous Water",
							"Soulfire Chisel",
							"Spare Parts",
							"Sparkling Apple Cider",
							"Spinefin Piranha",
							"Spinefin Souffle and Fries",
							"Spirit Dust",
							"Spirit of Harmony",
							"Spiritual Healing Potion",
							"Star Wood",
							"Starflower",
							"Starlight Ink",
							"Starlight Rose",
							"Steak a la Mode",
							"Stonedark Snail",
							"Stonehide Leather",
							"Stormforged Grapple Launcher",
							"Stormray",
							"Stormscale",
							"Straddling Jewel Doublet",
							"Strange Dust",
							"Strong Flux",
							"Stylish Red Shirt",
							"Sumptuous Fur",
							"Super Healing Potion",
							"Super Mana Potion",
							"Surface-to-Infernal Rocket Launcher",
							"Surprisingly Palatable Feast",
							"Taladite Crystal",
							"Talador Orchid",
							"Tangy Southfury Cranberries",
							"Tangy Wetland Cranberries",
							"Tel'Abim Banana",
							"Teldrassil Sweet Potato",
							"Tenebrous Crown Roast Aspic",
							"Thermal Anvil",
							"Tin Ore",
							"Tinker's Kit",
							"Tome of the Quiet Mind",
							"Tome of the Tranquil Mind",
							"Tropical Sunfruit",
							"True Iron Barrel",
							"True Iron Ore",
							"Truesilver Commander's Ring",
							"Truesteel Ingot",
							"Tundra Berries",
							"Twilight Bark",
							"Ultramarine Ink",
							"Ultimate Gnomish Army Knife",
							"Unbroken Claw",
							"Unbroken Tooth",
							"Veiled Augment Rune",
							"Versatile Jewel Cluster",
							"Versatile Jewel Doublet",
							"Versatile Laestrite Band of the Aurora",
							"Versatile Laestrite Band of the Harmonious",
							"Versatile Laestrite Band of the Quickblade",
							"Versatile Laestrite Choker of the Aurora",
							"Versatile Laestrite Choker of the Harmonious",
							"Versatile Laestrite Choker of the Quickblade",
							"Versatile Solenium Ring",
							"Vial of Caustic Liquid",
							"Viridescent Ink",
							"Virtuoso Inking Set",
							"Void Focus Splinter",
							"Volatile Rum",
							"Walnut Stock",
							"War Paints",
							"Warbinder's Ink",
							"Warm Goren Egg",
							"Weak Flux ",
							"Weak Flux",
							"Weeping Corpseshroom",
							"White Linen Robe",
							"White Linen Shirt",
							"White Swashbuckler's Shirt",
							"White Trillium Ore",
							"White Wedding Dress",
							"White Woolen Dress",
							"Wild Berries",
							"Wild Flour",
							"Wild Steelbloom",
							"Wildfowl Egg",
							"Windwool Cloth",
							"Wooden Stock",
							"Wool Cloth",
							"Woolen Cape",
							"Woven Copper Ring",
							"Yak Milk",
							"Yellow Dye",
				
					}
				_G_SLH["SLH_SV"][AS_Profile]["AS"]["ResetExceptionList"] = "N"
			end
								
		-- Auto Sell Exception List
			if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"] == nil or _G_SLH["SLH_SV"][AS_Profile]["AS"]["ResetExceptionList"] == "Y"
			then 
				SLH_AS_ReloadDefaultExceptionList()
			end

		end
		
		--SLH_AS Module
			local SLH_AS_Module = function (SLH_ASOptions, event, name, ...)
				if IsAltKeyDown() then return end
				local SLH_Bags = {}	
				local SLH_ASItems = 0	
				local SLH_ASValueTotal = 0	
				if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag0"] == "Y" then SLH_Bags[#SLH_Bags+1]=0 end
				if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag1"] == "Y" then SLH_Bags[#SLH_Bags+1]=1 end
				if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag2"] == "Y" then SLH_Bags[#SLH_Bags+1]=2 end
				if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag3"] == "Y" then SLH_Bags[#SLH_Bags+1]=3 end
				if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Bag4"] == "Y" then SLH_Bags[#SLH_Bags+1]=4 end
				for index, SLH_bagID in ipairs(SLH_Bags) do
					local SLH_Bag_numberOfSlots = GetContainerNumSlots(SLH_bagID)
					for SLH_slot = 1, SLH_Bag_numberOfSlots do
						local SLH_icon, 
							SLH_itemCount,
							SLH_locked, 
							SLH_quality, 
							SLH_readable, 
							SLH_lootable, 
							SLH_itemLink, 
							SLH_isFiltered, 
							SLH_noValue, 
							SLH_itemID = GetContainerItemInfo(SLH_bagID, SLH_slot)
				
						if not(SLH_itemLink == nil) 
						then
							local SLH_itemName = GetItemInfo(SLH_itemLink)
							for index, value in pairs(_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"]) do
								if value == SLH_itemName 
								then 
									SLH_itemLink = nil
								end
							end
						end
							
						
						if not(SLH_itemLink == nil) and not(SLH_noValue)
						then
							local SLH_itemName, 
								SLH_itemLink_GetItemInfo, 
								SLH_itemRarity, 
								SLH_itemLevel, 
								SLH_itemMinLevel, 
								SLH_itemType, 
								SLH_itemSubType, 
								SLH_itemStackCount,
								SLH_itemEquipLoc, 
								SLH_itemIcon, 
								SLH_itemSellPrice, 
								SLH_itemClassID, 
								SLH_itemSubClassID, 
								SLH_bindType, --Item binding type: 0 - none, 1 - on pickup, 2 - on equip, 3 - on use, 4 - quest.
								SLH_expacID, 
								SLH_itemSetID, 
								SLH_isCraftingReagent = GetItemInfo(SLH_itemLink) 
					
							local SLH_GetDetailedItemLevelInfo_effectiveILvl, 
								SLH_isPreview, 
								SLH_baseILvl = GetDetailedItemLevelInfo(SLH_itemLink)
							-- Exclusions by Class/Subclass
								--[[
								7: Tradeskill
									subclassID	itemSubType
									0			Trade Goods 
									1			Parts	
								12: Quest
								18: Wow Token
							]]
							if	not (SLH_itemClassID == 7 and (SLH_itemSubClassID == 0 or SLH_itemSubClassID == 1) or
								SLH_itemClassID == 12 or 
								SLH_itemClassID == 18)
							then
								--[[DevMode]]if SLH_AS_DevMode and SLH_itemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS itemLink: " .. SLH_itemLink) end
								--[[DevMode]]if SLH_AS_DevMode and SLH_GetDetailedItemLevelInfo_effectiveILvl ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS GetDetailedItemLevelInfo_effectiveILvl: " .. SLH_GetDetailedItemLevelInfo_effectiveILvl) end
								--[[DevMode]]if SLH_AS_DevMode and SLH_bindType ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS bindType: " .. SLH_bindType) end	
								--[[DevMode]]if SLH_AS_DevMode and SLH_itemClassID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS itemClassID: " .. SLH_itemClassID) end	
								--[[DevMode]]if SLH_AS_DevMode and SLH_itemSubClassID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS itemSubClassID: " .. SLH_itemSubClassID) end	
								
								--Stop if not selling consumables
								if not (_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellConsumables"] == "N" 
									and (SLH_itemClassID == 0
									or SLH_itemClassID == 8
									or SLH_itemClassID == 9
									or (SLH_itemClassID == 15 and (SLH_itemSubClassID == 2 or SLH_itemSubClassID == 5 or SLH_itemSubClassID == 6))
									or SLH_itemClassID == 16
									or SLH_itemClassID == 17
									or SLH_itemClassID == 18))
								then 
									--Stop on Items above Limit						
									if SLH_quality == 0 or not(_G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimitEnabled"] == "Y") or (_G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimitEnabled"] == "Y" and SLH_GetDetailedItemLevelInfo_effectiveILvl < _G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimit"])
									then				
										if not (_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnPickup"] == "N" and SLH_bindType == 1) or SLH_quality == 0
										then
											if not (_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnEquip"] == "N" and SLH_bindType == 2) or SLH_quality == 0
											then							
											if not (_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellBindOnUse"] == "N" and SLH_bindType == 3) or SLH_quality == 0
												then 
													if not (_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellQuest"] == "N" and SLH_bindType == 4) or SLH_quality == 0
													then 
														if not (_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellSoulbound"] == "N" and C_Item.IsBound(ItemLocation:CreateFromBagAndSlot(SLH_bagID, SLH_slot))) or SLH_quality == 0
														then 
															if not(_G_SLH["SLH_SV"][AS_Profile]["AS"]["SellCraftingReagents"] == "N" and SLH_isCraftingReagent) or SLH_quality == 0
															then 
																if not(SLH_itemSellPrice == 0) and (
																	(SLH_quality == 0 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellPoor"] == "Y") or
																	(SLH_quality == 1 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellCommon"] == "Y") or
																	(SLH_quality == 2 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellUncommon"] == "Y") or
																	(SLH_quality == 3 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellRare"] == "Y") or
																	(SLH_quality == 4 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellEpic"] == "Y") or
																	(SLH_quality == 5 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellLegendary"] == "Y") or
																	(SLH_quality == 6 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellArtifact"] == "Y"))
																then						
																	securecall(UseContainerItem,SLH_bagID, SLH_slot)		
																	SLH_ASItems = SLH_ASItems + 1	
																	SLH_ASValueTotal = SLH_ASValueTotal + SLH_itemSellPrice		
																	if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleDetails"] == "Y"
																	then
																		GSC_Icons_SLH_ASValue = GetCoinTextureString(SLH_itemSellPrice)													
																		if GSC_Icons_SLH_ASValue ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS Sold " .. SLH_itemLink .. " for " .. GSC_Icons_SLH_ASValue) end 
																	end	
																	if SLH_ASItems >= 12 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SellToBuybackLimit"] == "Y"
																	then
																		GSC_Icons_SLH_ASValueTotal = GetCoinTextureString(SLH_ASValueTotal)			
																		_G_SLH["SLH_SF"]["Config"]["Print"]("AS Auto Selling Limit reached. Close sale window and reopen, or disable Safe Selling to sell more than 12 items at once.")   
						
																		if _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleTotals"] == "Y"
																		then
																			GSC_Icons_SLH_ASValueTotal = GetCoinTextureString(SLH_ASValueTotal)	
																			if GSC_Icons_SLH_ASValueTotal ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS Sold " .. SLH_ASItems .. " items for " .. GSC_Icons_SLH_ASValueTotal)	end 
																		end	
																		return
																	end	
																end	
															end
														end
													end
												end
											end	
										end
									end	
								end
							end
						end
					end
				end    
					
				if SLH_ASItems > 0 and _G_SLH["SLH_SV"][AS_Profile]["AS"]["SaleTotals"] == "Y"
				then
					GSC_Icons_SLH_ASValueTotal = GetCoinTextureString(SLH_ASValueTotal)	
					if SLH_ASItems ~= nil and GSC_Icons_SLH_ASValueTotal ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS Sold " .. SLH_ASItems .. " items for " .. GSC_Icons_SLH_ASValueTotal) end
				end
			end


		--SLH_AS_ExceptionList
			local SLH_AS_ExceptionList= function (self, event, name, ...)
				if not IsAltKeyDown() then return end
				if not ((string.match(self:GetName(), "ContainerFrame") or string.match(self:GetName(), "BankFrame")) and string.match(self:GetName(), "Item")) then return end
				
				if string.match(self:GetName(), "BankFrame")
				then 
					SLH_EL_BagNumber = -1
					SLH_EL_SlotNumber = strsub (self:GetName(), strfind (self:GetName(), "Item")+4)
				elseif string.match(self:GetName(), "ReagentBankFrame")
				then 
					SLH_EL_BagNumber = -3
					SLH_EL_SlotNumber = strsub (self:GetName(), strfind (self:GetName(), "Item")+4)
				else
					SLH_EL_BagNumber = strsub (self:GetName(), 15 , strfind (self:GetName(), "Item")-1)-1
					SLH_EL_Bag_numberOfSlots = GetContainerNumSlots(SLH_EL_BagNumber)
					SLH_EL_SlotNumber = SLH_EL_Bag_numberOfSlots - strsub (self:GetName(), strfind (self:GetName(), "Item")+4) + 1
				end
					
				SLH_GetContainerItemLink = GetContainerItemLink(SLH_EL_BagNumber, SLH_EL_SlotNumber)
				--[[DevMode]]if SLH_AS_DevMode and SLH_GetContainerItemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS AS: " .. SLH_GetContainerItemLink) end 
				--[[DevMode]]if SLH_AS_DevMode and SLH_EL_BagNumber ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS AS: " .. SLH_EL_BagNumber) end 
				--[[DevMode]]if SLH_AS_DevMode and SLH_EL_SlotNumber ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS AS: " .. SLH_EL_SlotNumber) end 
					
				
				if GetMouseButtonClicked() == "RightButton" 
				then 
					for index, value in pairs(_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"]) do
						if value == GetItemInfo(SLH_GetContainerItemLink)  
						then 
							if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListConfirmation"] == "Y" and SLH_GetContainerItemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_GetContainerItemLink .. " Already in Auto Sell Exception List") end			
							return
						end
					end			
					_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"][#_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"]+1]= GetItemInfo(SLH_GetContainerItemLink)
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListConfirmation"] =="Y" 
					then 
						if SLH_GetContainerItemLink 
						then 
							if SLH_GetContainerItemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS Added " .. SLH_GetContainerItemLink .. " to Auto Sell Exception List") end
						else		
							_G_SLH["SLH_SF"]["Config"]["Print"]("AS Empty Bag Slots can be in the Auto Sell Exception List.")
						end								
					end
				elseif GetMouseButtonClicked() == "LeftButton" 
				then
					SLH_ExceptionListCounter = 0
					for index, value in pairs(_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"]) do
						if value == GetItemInfo(SLH_GetContainerItemLink) 
						then
							SLH_ExceptionListCounter = SLH_ExceptionListCounter + 1
							table.remove(_G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListItemNames"], index)
							if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListConfirmation"] =="Y" 
							then 
								if SLH_GetContainerItemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AS Removed " .. SLH_GetContainerItemLink .. " from Auto Sell Exception List") end
							end
						end
					end	
					
					if SLH_ExceptionListCounter == 0
					then
						if _G_SLH["SLH_SV"][AS_Profile]["AS"]["ExceptionListConfirmation"] =="Y" 
						then 
							if SLH_GetContainerItemLink 
							then 
								if SLH_GetContainerItemLink ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_GetContainerItemLink .. " not in Auto Sell Exception List") end
							else		
								_G_SLH["SLH_SF"]["Config"]["Print"]("AS Empty Bag Slots can be in the Auto Sell Exception List.")	
							end
						end
					end
				end	
			end
			
		--SLH_AS EventCall
			local SLH_AS_Events= function (SLH_ASOptions, event, name, ...)
				--Create SLH_AS EventFrame
					SLH_ASEventFrame = CreateFrame("Frame","SLH_ASEventFrame")

				-- Register SLH_AS events
					--Movement
						SLH_ASEventFrame:RegisterEvent("MERCHANT_SHOW")

				--Call SLH_AS HookScript
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Enable"] == "Y"
						then SLH_ASEventFrame:HookScript("OnEvent", SLH_AS_Module)
					end
					
					

						
				--Call SLH_AS_ExceptionListHookScript
					if _G_SLH["SLH_SV"][AS_Profile]["AS"]["Enable"] == "Y"
					then 				
						--Backpack
							ContainerFrame1Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame1Item28:HookScript("OnClick", SLH_AS_ExceptionList)
						 
						--Bag1
							ContainerFrame2Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame2Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag2
							ContainerFrame3Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame3Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag3
							ContainerFrame4Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame4Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag4
							ContainerFrame5Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame5Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag5
							ContainerFrame6Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame6Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag6
							ContainerFrame7Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame7Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag7
							ContainerFrame8Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame8Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag8
							ContainerFrame9Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame9Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag9
							ContainerFrame10Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame10Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag10
							ContainerFrame11Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame11Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag11
							ContainerFrame12Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame12Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bag12
							ContainerFrame13Item1:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item2:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item3:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item4:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item5:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item6:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item7:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item8:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item9:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item10:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item11:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item12:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item13:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item14:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item15:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item16:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item17:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item18:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item19:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item20:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item21:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item22:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item23:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item24:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item25:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item26:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item27:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item28:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item29:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item30:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item31:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item32:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item33:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item34:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item35:HookScript("OnClick", SLH_AS_ExceptionList)
							ContainerFrame13Item36:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Bank
							BankFrameItem1:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem2:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem3:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem4:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem5:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem6:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem7:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem8:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem9:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem10:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem11:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem12:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem13:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem14:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem15:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem16:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem17:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem18:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem19:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem20:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem21:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem22:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem23:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem24:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem25:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem26:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem27:HookScript("OnClick", SLH_AS_ExceptionList)
							BankFrameItem28:HookScript("OnClick", SLH_AS_ExceptionList)
											 
						--Reagent Bank
							--ReagentBankFrameItem1:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem2:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem3:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem4:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem5:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem6:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem7:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem8:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem9:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem10:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem11:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem12:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem13:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem14:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem15:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem16:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem17:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem18:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem19:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem20:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem21:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem22:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem23:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem24:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem25:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem26:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem27:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem28:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem29:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem30:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem31:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem32:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem33:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem34:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem35:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem36:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem37:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem38:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem39:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem40:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem41:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem42:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem43:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem44:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem45:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem46:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem47:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem48:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem49:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem49:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem50:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem51:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem52:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem53:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem54:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem55:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem56:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem57:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem58:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem59:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem60:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem61:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem62:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem63:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem64:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem65:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem66:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem67:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem68:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem69:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem70:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem71:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem72:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem73:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem74:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem75:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem76:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem77:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem78:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem79:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem80:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem81:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem82:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem83:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem84:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem85:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem86:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem87:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem88:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem89:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem90:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem91:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem92:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem93:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem94:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem95:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem96:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem97:HookScript("OnClick", SLH_AS_ExceptionList)
							--ReagentBankFrameItem98:HookScript("OnClick", SLH_AS_ExceptionList)
					end
					
					
					
			end

		--SLH_AS Config Screen
			local SLH_AS_Frames= function  (self, event, name, ...)

				-- SLH_AS Options
						local SLH_ASOptions = CreateFrame( "Frame", "SLH_ASOptions")
						SLH_ASOptions.name = "Auto Sell"
						-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
							SLH_ASOptions.parent = SLH_Config_Panel.name
						-- Add the child to the Interface Options
							InterfaceOptions_AddCategory(SLH_ASOptions)
						--Add Title
							local SLH_ASOptionsTitle = SLH_ASOptions:CreateFontString(nil, "ARTWORK","GameFontNormalLarge")
							SLH_ASOptionsTitle:SetPoint("TOPLEFT", 10, -10)
							SLH_ASOptionsTitle:SetText("Salen's Little Helper - Auto Sell Options")			
					
				--SLH_ASDetail - Create Scroll Frame		
					SLH_ASDetail = securecall(_G_SLH["SLH_SF"]["SLH_CreateScrollFrame"],SLH_ASOptions, --self
						"SLH_ASDetail", --FrameName
						SLH_ASOptions, --relativeFrame
						5, --xOffset
						-30, --yOffset
						SLH_ASOptions, --relativeFrame
						-5, --xOffset
						5,--yOffset
						"Auto Sell Options" -- Title
						)
					SLH_ASDetail.parent = SLH_ASOptions
					
					SLH_ASDetail.ScrollBar:ClearAllPoints()
					SLH_ASDetail.ScrollBar:SetPoint("TOPLEFT", SLH_ASDetail, "TOPRIGHT", -25, -20)
					SLH_ASDetail.ScrollBar:SetPoint("BOTTOMRIGHT", SLH_ASDetail, "BOTTOMRIGHT", -5, 25)
					SLH_ASDetail:SetClipsChildren(true)		
					
					--(Uncomment to) Set Background Color
						--SLH_ASDetail.bg = SLH_ASDetail:CreateTexture(nil, "BACKGROUND")
						--SLH_ASDetail.bg:SetAllPoints(true)
						--SLH_ASDetail.bg:SetColorTexture(0.8, 0.4, 0, 0.2)
					--End Set Background Color

					--SLH_ASDetailScrollFrameChild
						local SLH_ASDetailScrollFrameChild = CreateFrame("Frame", nil, SLH_ASDetail)
						SLH_ASDetailScrollFrameChild:SetSize(600, 470)
							--(Uncomment to) Set Background Color
								--SLH_ASDetailScrollFrameChild.bg = SLH_ASDetailScrollFrameChild:CreateTexture(nil, "BACKGROUND")
								--SLH_ASDetailScrollFrameChild.bg:SetAllPoints(true)
								--SLH_ASDetailScrollFrameChild.bg:SetColorTexture(0.2, 0.6, 0, 0.8)
							--End Set Background Color
						SLH_ASDetail:SetScrollChild(SLH_ASDetailScrollFrameChild)	
						SLH_ASDetailScrollFrameChild:SetClipsChildren(true)		
			
					

					--SLH_ASDetail Title 
						SLH_ASDetailScrollFrameChild.title = SLH_ASDetailScrollFrameChild:CreateFontString (nil, "OVERLAY")
						SLH_ASDetailScrollFrameChild.title:SetFontObject("GameFontHighlight")
						SLH_ASDetailScrollFrameChild.title:SetPoint("LEFT", SLH_ASDetailScrollFrameChild.TitleBg, "LEFT", 5, 0)
						SLH_ASDetailScrollFrameChild.title:SetText("Auto Sell Options")	
						SLH_ASDetailScrollFrameChild.title:SetTextColor(_G_SLH["SLH_SF"]["SLH_TitleColors"].r, _G_SLH["SLH_SF"]["SLH_TitleColors"].g, _G_SLH["SLH_SF"]["SLH_TitleColors"].b, _G_SLH["SLH_SF"]["SLH_TitleColors"].a)					

					--MasterFrame.SLH_ASDetail Buttons
						-- Enable_SLH_AS Check Button:
							Enable_SLH_AS = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_ASDetailScrollFrameChild, --relativeFrame
								"Enable_SLH_AS", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								10, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"Enable", --SVPath3
								"Enable Auto Sell", --text
								"Enables Auto Selling on Vendor Dilaog Open\n\nHolding Alt key disables Auto Selling on the fly" --tooltip
								)
								Enable_SLH_AS:HookScript("OnClick", function(self, arg1)			
									if Enable_SLH_AS:GetChecked() 
									then 
										_G_SLH["SLH_SV"][AS_Profile]["AS"]["Enable"] = "Y"
										SLH_AS_SetVars(self, event, name)
										SLH_AS_Module(self, event, name)
									else 
										_G_SLH["SLH_SV"][AS_Profile]["AS"]["Enable"] = "N"
										SLH_ASEventFrame:UnregisterAllEvents()																		
									end
								end)
								
						-- Enable_SLH_AS Check Button:
							SLH_AS_SellPoor = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								Enable_SLH_AS, --relativeFrame
								"SLH_AS_SellPoor" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellPoor", --SVPath3
								"Sell 'Poor' Items", --text
								"Sell 'Poor' Items?\n\nYes or No" --tooltip
								)
								
						-- Enable_SLH_AS Check Button:
							SLH_AS_SellCommon = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellPoor, --relativeFrame
								"SLH_AS_SellCommon" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellCommon", --SVPath3
								"Sell 'Common' Items", --text
								"Sell 'Common' Items?\n\nYes or No" --tooltip
								)
								
						-- Enable_SLH_AS Check Button:
							SLH_AS_SellUncommon = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellCommon, --relativeFrame
								"SLH_AS_SellUncommon" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellUncommon", --SVPath3
								"Sell 'UnCommon' Items", --text
								"Sell 'UnCommon' Items?\n\nYes or No" --tooltip
								)
								
						-- Enable_SLH_AS Check Button:
							SLH_AS_SellRare = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellUncommon, --relativeFrame
								"SLH_AS_SellRare" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellRare", --SVPath3
								"Sell 'Rare' Items", --text
								"Sell 'Rare' Items?\n\nYes or No" --tooltip
								)
								
						-- SLH_AS_SellEpic Check Button:
							SLH_AS_SellEpic = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellRare, --relativeFrame
								"SLH_AS_SellEpic" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellEpic", --SVPath3
								"Sell 'Epic' Items", --text
								"Sell 'Epic' Items?\n\nYes or No" --tooltip
								)
								
						-- SLH_AS_SellLegendary Check Button:
							SLH_AS_SellLegendary = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellEpic, --relativeFrame
								"SLH_AS_SellLegendary" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellLegendary", --SVPath3
								"Sell 'Legendary' Items", --text
								"Sell 'Legendary' Items?\n\nYes or No" --tooltip
								)
								
						-- SLH_AS_SellArtifact Check Button:
							SLH_AS_SellArtifact = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellLegendary, --relativeFrame
								"SLH_AS_SellArtifact" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellArtifact", --SVPath3
								"Sell 'Artifact' Items", --text
								"Sell 'Artifact' Items?\n\nYes or No" --tooltip
								)				

						-- SLH_AS_ItemLevelLimitEnabled Check Button:
							SLH_AS_ItemLevelLimitEnabled = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellArtifact, --relativeFrame
								"SLH_AS_ItemLevelLimitEnabled" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"ItemLevelLimitEnabled", --SVPath3
								"Limit By Item Level", --text
								"Limit By Item Level?\n\nYes or No\n\nDoes not Limit Poor Items\n\nSet Item Level Value on Slider" --tooltip
								)
						-- SLH_AS_ItemLevelLimit - in seconds
							SLH_AS_ItemLevelLimit = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_ASOptions, --
								"TOPLEFT", --point
								SLH_AS_ItemLevelLimitEnabled, --relativeFrame
								"SLH_AS_ItemLevelLimit" , --FrameName
								"BOTTOMLEFT", --relativePoint
								10, --xOffset
								-40, --yOffset
								1, --Min
								500, --Max
								_G_SLH["SLH_SV"][AS_Profile]["AS"]["ItemLevelLimit"], --Value
								1, --Step
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"ItemLevelLimit", --SVPath3
								"Item Level Limit", --text
								"Set Item level Limit\n\nIf enabled, only items less than the selected level will auto sell.\n\nDefault 120" --tooltip
								)	
								
						-- SHow/Hide :
							SLH_AS_SellBindOnEquip = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_ItemLevelLimit, --relativeFrame
								"SLH_AS_SellBindOnEquip" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								-10, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellBindOnEquip", --SVPath3
								"Sell Bind On Equip", --text
								"Sell Bind on Equip items?\n\nItem Quality is checked as well" --tooltip
								)	

								
						-- SHow/Hide :
							SLH_AS_SellBindOnPickup = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellBindOnEquip, --relativeFrame
								"SLH_AS_SellBindOnPickup" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellBindOnPickup", --SVPath3
								"Sell Bind On Pickup", --text
								"Sell Bind on Pickup items?\n\nItem Quality is checked as well" --tooltip
								)	

								
						-- SHow/Hide :
							SLH_AS_SellBindOnUse = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellBindOnPickup, --relativeFrame
								"SLH_AS_SellBindOnUse" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellBindOnUse", --SVPath3
								"Sell Bind On Use", --text
								"Sell Bind on Use items?\n\nItem Quality is checked as well" --tooltip
								)

								
						-- SHow/Hide :
							SLH_AS_SellConsumables = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellBindOnUse, --relativeFrame
								"SLH_AS_SellConsumables" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellConsumables", --SVPath3
								"Sell Consumables", --text
								"Sell Consumable items?\n\nItem Quality is checked as well" --tooltip
								)

								
						-- SHow/Hide :
							SLH_AS_SellQuest = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellConsumables, --relativeFrame
								"SLH_AS_SellQuest" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellQuest", --SVPath3
								"Sell Quest Items", --text
								"Sell Quest Items?\n\nItem Quality is checked as well" --tooltip
								)

								
						-- SHow/Hide :
							SLH_AS_SellSoulbound = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellQuest, --relativeFrame
								"SLH_AS_SellSoulbound" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellSoulbound", --SVPath3
								"Sell Soulbound Items", --text
								"Sell Soulbound Items?\n\nItem Quality is checked as well" --tooltip
								)

								
						-- SLH_AS_SellCraftingReagents Check Button:
							SLH_AS_SellCraftingReagents = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellSoulbound, --relativeFrame
								"SLH_AS_SellCraftingReagents" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellCraftingReagents", --SVPath3
								"Sell Crafting Reagents", --text
								"Sell Crafting Reagents?\n\nYes or No" --tooltip
								)	

						--Right Side	
						-- SLH_AS_ExceptionListConfirmation Check Button:
							SLH_AS_ExceptionListConfirmation = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								Enable_SLH_AS, --relativeFrame
								"SLH_AS_ExceptionListConfirmation" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								280, --xOffset
								0, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"ExceptionListConfirmation", --SVPath3
								"Exception List Confirmation", --text
								"Show Confirmation Dialog for adding Items to the Exception List?\n\nYes or No\n\nException List Items will not be sold regardless of meeting any other sell item criteria\n\nAlt-RightClick an Item to add it ot the List\n\nAlt-LeftClick to remove and item from the list." --tooltip
								)
								
						-- SLH_AS_SellToBuybackLimit Check Button:
							SLH_AS_SellToBuybackLimit = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_ExceptionListConfirmation, --relativeFrame
								"SLH_AS_SellToBuybackLimit" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SellToBuybackLimit", --SVPath3
								"Stop Selling at Buyback Limit", --text
								"Stop Selling at Buyback Limit\n\n'Safe Mode' to ensure you can buyback any accidental sales\n\nDisabling this will sell everythgin meeting the Auto Sell Criteria" --tooltip
								)	
								
						-- SLH_AS_Bag0 Check Button:
							SLH_AS_Bag0 = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SellToBuybackLimit, --relativeFrame
								"SLH_AS_Bag0" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"Bag0", --SVPath3
								"Sell from Bag 0", --text
								"Sell from Bag 0?\n\nYes or No\n\nBags count from Right to Left" --tooltip
								)			

						-- SLH_AS_Bag1 Check Button:
							SLH_AS_Bag1 = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_Bag0, --relativeFrame
								"SLH_AS_Bag1" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"Bag1", --SVPath3
								"Sell from Bag 1", --text
								"Sell from Bag 1?\n\nYes or No\n\nBags count from Right to Left" --tooltip
								)		

						-- SLH_AS_Bag2 Check Button:
							SLH_AS_Bag2 = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_Bag1, --relativeFrame
								"SLH_AS_Bag2" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"Bag2", --SVPath3
								"Sell from Bag 2", --text
								"Sell from Bag 2?\n\nYes or No\n\nBags count from Right to Left" --tooltip
								)		

						-- SLH_AS_Bag3 Check Button:
							SLH_AS_Bag3 = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_Bag2, --relativeFrame
								"SLH_AS_Bag3" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"Bag3", --SVPath3
								"Sell from Bag 3", --text
								"Sell from Bag 3?\n\nYes or No\n\nBags count from Right to Left" --tooltip
								)		

						-- SLH_AS_Bag4 Check Button:
							SLH_AS_Bag4 = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_Bag3, --relativeFrame
								"SLH_AS_Bag4" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"Bag4", --SVPath3
								"Sell from Bag 4", --text
								"Sell from Bag 4?\n\nYes or No\n\nBags count from Right to Left" --tooltip
								)		

						-- SLH_AS_SaleDetails Check Button:
							SLH_AS_SaleDetails = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_Bag4, --relativeFrame
								"SLH_AS_SaleDetails" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SaleDetails", --SVPath3
								"Show Sale Details", --text
								"Show Item Sale Details?\n\nYes or No" --tooltip
								)	

						-- SLH_AS_SaleTotals Check Button:
							SLH_AS_SaleTotals = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SaleDetails, --relativeFrame
								"SLH_AS_SaleTotals" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"SaleTotals", --SVPath3
								"Show Sale Totals", --text
								"Show Item Sale Totals?\n\nYes or No" --tooltip
								)
								
						-- SLH_AS_ResetExceptionList Check Button:
							SLH_AS_ResetExceptionList = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_ASOptions, --self
								"TOPLEFT", --point
								SLH_AS_SaleTotals, --relativeFrame
								"SLH_AS_ResetExceptionList" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								AS_Profile, --SVPath1
								"AS", --SVPath2
								"ResetExceptionList", --SVPath3
								"Reset Exception List to Default on Reload UI?", --text
								"Reset Exception List to Default on Reload UI?\n\nCheck to Reset Exception list to Default on next load\n\nThis box will uncheck itself when the list is reset on next Reload, so ti will not continually reload." --tooltip
								)
			end	

				
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["AS_Load"] == "Y" then
				SLH_AS_SetVars(self, event, name, ...)
				SLH_AS_Events(self, event, name, ...)
			end
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["AS_Hide"] == "N" then
				SLH_AS_Frames(self, event, name, ...)
			end
		
	end	)	