--Run SLH_Config_Lua  	
	SLH_QA_Lua = CreateFrame("Frame", "SLH_QA_Lua")
	SLH_QA_Lua:RegisterEvent("ADDON_LOADED")
	SLH_QA_Lua:HookScript("OnEvent", function (self, event, name, ...)
		if (name ~= "SalensLittleHelper") then return end

		--Theoretically speeds up access to global variables by making them local.  This is supposed to be faster.  I have no proof this is true.	
			local _G_SLH = _G 

		local SLH_PCSV_UnitName = _G_SLH["SLH_PCSV"]["SLH_PCSV_UnitNameGlobal"]
		local QA_Profile = _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["QA_Profile"]
		
		--Development Mode Boolean (Controls various Overrides, disable to test and distribute.)
			local SLH_QA_DevMode = false
			local SLH_QA_GetZoneAndText_DevMode = false
			--[[DevMode]]if SLH_QA_DevMode and name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_Lua addonName: " .. name) end	

		-- Set Variables
			local SLH_QA_SetVars = function (self, event, name, ...)
				-- Test/Create SLH_SV Table			
					if _G_SLH["SLH_SV"] == nil then _G_SLH["SLH_SV"] = {} end			
				-- Test/Create SLH_SV.QA_Profile Table
					if _G_SLH["SLH_SV"][QA_Profile] == nil then _G_SLH["SLH_SV"][QA_Profile] = {}  end	
				-- Test/Create SLH_QA Table
					if _G_SLH["SLH_SV"][QA_Profile]["QA"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"] = {}  end	
						
				-- Test/Create SLH_QA Variables
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] = "Y" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestListDelay"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestListDelay"] = 0 end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestAcceptDelay"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestAcceptDelay"] = 0 end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestCompleteDelay"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestCompleteDelay"] = 0 end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectDelay"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectDelay"] = 0 end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["AutoSelectRewards"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["AutoSelectRewards"] = "Y" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectionCriteria"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectionCriteria"] = "Largest Item Level Upgrade" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["ExcludeWeapons"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["ExcludeWeapons"] = "Y" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["ShowAutoSelectDisabledMessage"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["ShowAutoSelectDisabledMessage"] = "Y" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["DisableAtMaxLevel"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["DisableAtMaxLevel"] = "N" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestSharing"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestSharing"] = "Y" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["GossipText"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["GossipText"] = "Y" end
					
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] = "N" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSGossip"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSGossip"] = "N" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSDescription"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSDescription"] = "N" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSObjectives"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSObjectives"] = "N" end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSRate"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSRate"] = 0 end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVoice"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVoice"] = 0 end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVolume"] == nil then _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVolume"] = 50 end
					SLH_QA_ExecuteTextToSpeech_TextList = {}
			end

		--SLH_QA Module

			--Gossip Text to Speech Quests
				local SLH_QA_ExecuteTextToSpeech = function (SLH_QA_ExecuteTextToSpeech_Text)
					
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] ~= "Y" then return end	
					--[[DevMode]]if SLH_QA_DevMode and SLH_QA_ExecuteTextToSpeech_Text ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_QA_ExecuteTextToSpeech_Text: " .. SLH_QA_ExecuteTextToSpeech_Text) end
					if SLH_QA_ExecuteTextToSpeech_Text ~= nil and not(tContains(SLH_QA_ExecuteTextToSpeech_TextList, SLH_QA_ExecuteTextToSpeech_Text))
					then 
						C_VoiceChat.SpeakText(_G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVoice"], SLH_QA_ExecuteTextToSpeech_Text, Enum.VoiceTtsDestination.QueuedLocalPlayback, _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSRate"], _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVolume"]) 
						SLH_QA_ExecuteTextToSpeech_TextList[#SLH_QA_ExecuteTextToSpeech_TextList+1] = SLH_QA_ExecuteTextToSpeech_Text					
					end

				end

			--Gossip Text to Speech Quests
				local SLH_QA_GossipTextToSpeech = function ()
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] ~= "Y" then return end					
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSGossip"] == "Y" 
					then
						local _SLH_QA_GossipTextToSpeech_Text = string.gsub(C_GossipInfo.GetText(), "<", "")
						--[[DevMode]]if SLH_QA_DevMode and _SLH_QA_GossipTextToSpeech_Text ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("_SLH_QA_GossipTextToSpeech_Text: " .. _SLH_QA_GossipTextToSpeech_Text) end
						if _SLH_QA_GossipTextToSpeech_Text ~= nil then SLH_QA_ExecuteTextToSpeech(_SLH_QA_GossipTextToSpeech_Text) end
					end 
				end

			--Text to Speech Quests
				local SLH_QA_TextToSpeech = function (questID, ...)
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] ~= "Y" then return end	
					if questID ~= nil
					then
						C_QuestLog.SetSelectedQuest(questID)
						if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSDescription"] == "Y"
						then
							local SLH_QA_TextToSpeech_QuestText, SLH_QA_TextToSpeech_questObjectives = GetQuestText()
							--[[DevMode]]if SLH_QA_DevMode and SLH_QA_TextToSpeech_QuestText ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_QA_TextToSpeech_QuestText: " .. SLH_QA_TextToSpeech_QuestText) end
							if SLH_QA_TextToSpeech_QuestText ~= nil then SLH_QA_ExecuteTextToSpeech(SLH_QA_TextToSpeech_QuestText) end
						end 
						
						if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSObjectives"] == "Y"
						then
							local SLH_QA_TextToSpeech_questObjectives = GetObjectiveText()
							--[[DevMode]]if SLH_QA_DevMode and SLH_QA_TextToSpeech_questObjectives ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_AcceptQuests_GetQuestText: " .. SLH_QA_TextToSpeech_questObjectives) end
							if SLH_QA_TextToSpeech_questObjectives ~= nil then SLH_QA_ExecuteTextToSpeech(SLH_QA_TextToSpeech_questObjectives) end	
						end 
					end
				end

			--SLH_QA_GossipText
				local SLH_QA_GossipText = function (SLH_QAOptions, event, name, questStartItemID, ...)					
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_GossipTextToSpeech() end
					if IsAltKeyDown() then return end										
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["GossipText"] ~= "Y" then return end	
					--[[DevMode]]if SLH_QA_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText: " .. event) end	
							
					--End to prevent interference with Accepting Available Quests
					local SLH_QA_GossipText_GossipInfoGetNumAvailableQuests = C_GossipInfo.GetNumAvailableQuests()		
					--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_GossipInfoGetNumAvailableQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AvailableQuests SLH_QA_GossipText_GossipInfoGetNumAvailableQuests: " .. SLH_QA_GossipText_GossipInfoGetNumAvailableQuests) end
					if not(SLH_QA_GossipText_GossipInfoGetNumAvailableQuests == nil) and SLH_QA_GossipText_GossipInfoGetNumAvailableQuests > 0  then return end
					local SLH_QA_GossipText_GetNumAvailableQuests = GetNumAvailableQuests()			
					--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_GetNumAvailableQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText_GetNumAvailableQuests: " .. SLH_QA_GossipText_GetNumAvailableQuests) end
					if not(SLH_QA_GossipText_GetNumAvailableQuests == nil) and SLH_QA_GossipText_GetNumAvailableQuests > 0  then return end
		
					--End to prevent interference with Turning in Completed Quests
					local SLH_QA_GossipText_GossipInfoGetNumActiveQuests = C_GossipInfo.GetNumActiveQuests()	
					--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_GossipInfoGetNumActiveQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText_GossipInfoGetNumActiveQuests: " .. SLH_QA_GossipText_GossipInfoGetNumActiveQuests) end									
					if not(SLH_QA_GossipText_GossipInfoGetNumActiveQuests == nil) and SLH_QA_GossipText_GossipInfoGetNumActiveQuests > 0
					then
						for i=1, SLH_QA_GossipText_GossipInfoGetNumActiveQuests do	
							local SLH_QA_GossipText_questID = C_GossipInfo.GetActiveQuests()[i].questID								
							--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText_questID: " .. SLH_QA_GossipText_questID) end									
							local SLH_QA_GossipText_isComplete = C_QuestLog.IsComplete(SLH_QA_GossipText_questID)
							--[[DevMode]]if SLH_QA_DevMode then if SLH_QA_GossipText_isComplete and SLH_QA_GossipText_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_QA_GossipText_questID .. " Complete") else _G_SLH["SLH_SF"]["Config"]["Print"](SLH_QA_GossipText_questID .. " Not Complete") end end
							if SLH_GossipActiveQuests_isComplete
							then 
								return		
							end
						end	
					end						
					local SLH_QA_GossipText_GetNumActiveQuests = GetNumActiveQuests()	
					--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_GetNumActiveQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText_GetNumActiveQuests: " .. SLH_QA_GossipText_GetNumActiveQuests) end
					if not(SLH_QA_GossipText_GetNumActiveQuests == nil) and SLH_QA_GossipText_GetNumActiveQuests > 0
					then
						for i=1, SLH_QA_GossipText_GetNumActiveQuests do	
							local SLH_QA_GossipText_questID = GetActiveQuestID(i)							
							--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText_questID: " .. SLH_QA_GossipText_questID) end	
							local SLH_QA_GossipText_isComplete = C_QuestLog.IsComplete(SLH_QA_GossipText_questID)
							--[[DevMode]]if SLH_QA_DevMode and SLH_QA_GossipText_questID ~= nil then if SLH_QA_GossipText_isComplete then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_QA_GossipText_questID .. " Complete") else _G_SLH["SLH_SF"]["Config"]["Print"](SLH_QA_GossipText_questID .. " Not Complete") end end
							if SLH_GossipActiveQuests_isComplete
							then 
								return		
							end
						end	
					end	
		
					--Start Gossip Text Processing
					local SLH_GossipInfoGetOptionsTable = C_GossipInfo.GetOptions()
					local SLH_numOptions = C_GossipInfo.GetNumOptions()			
					--[[DevMode]]if SLH_QA_DevMode and SLH_numOptions ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText numOptions: " .. SLH_numOptions) end
					
					--Quick Global Search
					for i=1, SLH_numOptions do	
						--[[DevMode]]--if SLH_QA_DevMode and SLH_GossipInfoGetOptionsTable[i].name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText QuickName: " .. tostring(SLH_GossipInfoGetOptionsTable[i].name)) end
						if string.find(SLH_GossipInfoGetOptionsTable[i].name, "(Quest)") ~= nil
						then
							C_GossipInfo.SelectOption(i);
							return
						end				
					end			
																
					local SLH_QA_TextList = {
						"I'd like to check my mail.",--Katy Stampwhistle
					}
					--[[DevMode]]if SLH_QA_GetZoneAndText_DevMode and SLH_numOptions ~= nil and GetZoneText() ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText Zone: " .. GetZoneText()) end
					if GetZoneText() == "Abyssal Depths"-- -  - 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Aggra, I am ready to travel to Deepholm."--Into Constant Earth
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Arathi Highlands"--Azuremyst - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Ardenweald" 
					then 	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have the lily."--I Moustache You to Lend a Hand
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Will you help me gain an audience with the Queen?"--I Moustache You to Lend a Hand
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm standing in for Lady Moonberry. What happened?"--Wildseed Rescue
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What's a wildseed?"--Wildseed Rescue
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'll help you."--Wildseed Rescue
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Hold still?>"--Wildseed Rescue
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will help you."--Souls of the Forest
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You're welcome."--Souls of the Forest
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm going that way, too. I'll help."--Keep to the Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = "My, what big teeth you have Granny."--Keep to the Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Hey! What's the big idea?"--Keep to the Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Express your appreciation for her help.>"--Keep to the Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's get you out of here."--Nothing Left to Give
						SLH_QA_TextList[#SLH_QA_TextList+1] = "It's fine, you can leave with me now."--Nothing Left to Give
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The fuss is, it's time to leave."--Nothing Left to Give
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'll take the animacones and infuse this wildseed with their anima."--One Special Spirit
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to be properly prepared to meet the Winter Queen."--Preparing for the Winter Queen
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need you to use some of your anima to destroy the droman's barrier."--Recovering the Heart
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to meet the Winter Queen."--Audience with the Winter Queen
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Hunt-Captain Korayn says to report back to the grove."--The Missing Hunters
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Who was that? What now?"--I Know Your Face
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The Lady of the Falls wanted to make sure you were safe."--Return to Tirna Vaal
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm taking the wildseed responsible for this to Hibernal Hollow. I could use your help bringing it there."--The Way to Hibernal Hollow
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to take this wildseed to Hibernal Hollow."--Soothing Song
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to travel to the Hibernal Hollow."--Passage to Hibernal Hollow
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Droman Aliothe said you were storing anima that we could use to help a wildseed."--Infusing the wildseed						
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Thank you Proglo. I'll use this anima to help the wildseed."--Infusing the wildseed		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to perform the ritual on the wildseed."--Infusing the Wildseed	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to perform the ritual on the wildseed."--Infusing the Wildseed	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Listen to the tale of Tirna Noch.>"--Echoes of Tirna Noch
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to borrow some wings and rain sparkly terror."--Sparkles Rain from Above
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to stand with you!"--Battle for Hibernal Hollow
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to go."--Dying Dreams						
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "(Quest)I am ready to relive the Dreamer's nightmare."--End of the Dream
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Deliver the Primus's Message.>"--The Court of Winter
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, your majesty?"--The Court of Winter
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Is everything under control here?"--Can't Turn our Backs
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Is the sigil safe?"--The Heart of Ardenweald
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Here are the joyful memories I collected from Heartwood Grove."--The Heart of Ardenweald
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready for the disguise."--The Heart of Ardenweald
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ardenweald has asked for help finding former Night Warriors."--Hunting Amid Houses
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I see. Thank you."--Hunting Amid Houses
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You were a Night Warrior in life?"--Rituals of Night
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We're ready to begin the ritual."--The power of Elune
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Hand the Sister's Tear to Ysera.>"--Winter's Sigil
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can't say I have. What's his deal?"--Rotbriar boggart
						SLH_QA_TextList[#SLH_QA_TextList+1] = "So what can you do about it?"--Rotbriar boggart
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I found your gardening tools."--Gardening Tools
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Grant me a boon to catch Renny the fox."--That Darn fox!
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can you tell me anything about this broken soulweb?"--Night Mare
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have the materials here."--Night Mare
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ysera, this soulweb has the ability to capture dreams, but requires power to do so. Can you help?"--Night Mare
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Argus"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Ashenvale"--Nazgrel - Shaman - Guide Completed			
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Come now, friend. You chop and I will protect you from the elves, ok?"--Management MateriaL
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, Gorka. To Kadrak!"--Crisis at Splintertree
						SLH_QA_TextList[#SLH_QA_TextList+1] = "This is terrible, Durak! Saurfang will have nothing to do with you! What can we do?!"--Dread Head Redemptiom
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to be one with the whirling vortex and defeat Lord Magmathar."--Lord Magmathar
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Azshara"--Kalecgos - Shaman - Guide Completed
					then 				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Merge with the spirit.>"--Memories of the Dead
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes Archmage. I will hide the stone."--Memories of the Dead
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Ring the Buzzer>"--Nine's Plan
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I brought you something to eat."--Befriending Giants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Do you know anything about azsharite?"--Befriending Giants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me again about Azsharite?"--Befriending Giants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "It's ... your droppings!? And the goblins have been running around scooping it up?"--Befriending Giants
						SLH_QA_TextList[#SLH_QA_TextList+1] = 'How often do you, uh, "go?"'--Befriending Giants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "15 to 25 years? Assistant Greely isn't going to want to hear that!"--Befriending Giants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Here, eat this! It's a special chocolate rock."--Azsharite Expirement Number One
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Shrink me!"--Azsharite Expirement Number Two
						SLH_QA_TextList[#SLH_QA_TextList+1] = "SQUEAK!!"--Azsharite Expirement Number Two
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Just give me the 'copter, Friz."--Bilgewater Harbor
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready. Teleport me to Blackmaw Hold."--Blackmaw Hold
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The Alliance demands a delivery of fresh baby with each new moon for our infant labor camps."--The Blackmaw Doublecross
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Shut it, hair-vomit! Soon you will learn to submit to your gnomish overlords!!"--The Blackmaw Doublecross
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Yank out his belly piercing.>"--The Blackmaw Doublecross
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Um... Al'teth ... la c'tolgar? Or something."--Hacking the Construct
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can you open a portal to your tower for me, Archmage Xylem?"--Bear's HEad
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Kalec sent me..."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "No no no, you don't understand. I'm here to help."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Met someone? I didn't know there were any other dragons out here."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "...the spirit healer?"--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm sorry, I didn't mean to be rude, I just..."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "That's not what I was saying at all."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm the... forget it. I'm here to warn you that the black dragonflight is here hunting you."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You already know? Why don't you go stop them then?"--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "But Kalecgos is already out there trying to stop them. He needs your help."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You'll come then?"--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm going to let him know right away. Meet us at Sable Ridge."--Easy is Boring
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Azsuna"--Aegwynn - Shaman - Guide Completed
					then 				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready, Allari. Let's begin."--The Scythe of Souls
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Just... just lead the way, Runas."--Runas Knows the Way
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's get back to Azurewing Repose!"--Azurewing Repose
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's go find that Tidestone."--The Magister of Mixology
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Please, show me where the Tidestone lies."--The Walk of Shame
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need you to lead me to the Tidestone of Golganneth."--The HEadmistress' Key
						SLH_QA_TextList[#SLH_QA_TextList+1] = "One of the instructors mentioned that, yes..."--The HEadmistress' Key
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I was not aware of that."--The HEadmistress' Key
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What happened, Farondis?"--Save Yourself
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Sign contract in blood."--Let's make a deal
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Begin your ritual."--This IS in my contract
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Boss Whalebelly, it's great to meet you. Just letting you know that I'm going to be the arena champion by the end of the day."--Boss Whalebelly's in Charge
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ooka, may I please have some of your delicious Fighter Chow? I hear it's the best."--Morale Booster
						SLH_QA_TextList[#SLH_QA_TextList+1] = "They're ready, Sternfathom. Toss me into battle."--Round 1, Fight!
										
					elseif GetZoneText() == "Badlands"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Bastion" 
					then 	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Lead on, Kleia."--Welcome to Eternity
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I think there might have been a mistake."--A Fate most Noble
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am not dead."--A Fate most Noble
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I come from Azeroth."--A Fate most Noble
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Tell Kleia what you saw in the Maw.>"--A Fate most Noble
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Do you have \"Worlds Beyond Counting\"?"--Suggested Reading
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Do you have \"The Infinite Treatises\"?"--Suggested Reading
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Show me what to do, Sika."--The Work of One's Hands
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Will you spar with me?"--Assessing your Stamina
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I would like to challenge both of you to a spar."--Assessing your Stamina
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to begin."--The First Cleansing
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I wish to speak to the Archon."--The Archon's Answer
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will help you."--A Temple in Need
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me how I can help."--A Temple in Need
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Begin the cleansing. I am ready."--A Temple in Need
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You can do this. I believe in you."--On the Edge of a Revelation
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We will get through this together!"--On the Edge of a Revelation
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Trust in your teachings. They have not led you astray before."--On the Edge of a Revelation
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Eridia asked me to find you."--A Wayward Disciple
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, Eridia."--Step Back From That Ledge, My Friend
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Are you well?"--Step Back From That Ledge, My Friend
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is it? What is wrong?"--Step Back From That Ledge, My Friend
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--The Enemy You Know
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will stand with you."--The Hand of Doubt
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will fly with you."--Purity's Prerogative
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What do we do now?"--The Vault of the Archon
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need assistance."--Your Personal Assistant
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need to go to the Temple of Courage."--Imminent Danger
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am with you."--Now or Never
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to go to Elysian Hold."--On Swift Wings
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to speak to the Archon."--Kyrestia, the Firstborne
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take me to Elysian Hold."--Blind Loyalty
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to attend the ceremony."--The New Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready for the ceremony."--The New Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will retrieve the scrolls."--Scrolls
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will find the tome."--Collector Astorestes
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Show us."--What makes us strong
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Blade's Edge Mountains"--Shaman - Arygos - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Spiritcaller, I need more totems to save the spirits of the nether drakes."--Spirit Calling
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Overseer, I am here to negotiate on behalf of the Cenarion Expedition."--A Time For Negotiations
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The Felsworn Gas Mask was destroyed, do you have another one?"--Gas Mask
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm fine, thank you.  You asked for me?"--Meeting at Blackwing Coven
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Oh, it's not my fault, I can assure you."--Meeting at Blackwing Coven
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Um, no... no, I don't want that at all."--Meeting at Blackwing Coven
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Impressive.  When do we attack?"--Meeting at Blackwing Coven
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Absolutely!"--Meeting at Blackwing Coven
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Insert an Apexis Shard, and begin!"--An Apexis Relic
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Use the fel crystalforge to make another purchase."--Our boy wants to be a Sky Ranger
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Insert 35 Apexis Shards, and begin!"--Guardian of the Monument
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Purchase 1 Unstable Flask of the Sorcerer for the cost of 10 Apexis Shards"--A Father's Duty
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Blasted Lands" 
					then 				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "FOR AZEROTH!"--WoD: The Dark Portal	
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
										
					elseif GetZoneText() == "Borean Tundra"--Anvilmar - Shaman - Guide Completed
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Send me to Garrosh's Landing, Yanni."--Coast of echos	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to leave, Durkot."--Taunka'le Village						
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Search the body for the pilot's emergency toolkit."--Emergency Supplies					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Search corpse for Issliruk's Totem.>"--Spirits Watch Over Us
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "I am prepared to face Saragosa!"--Saragoa's End											
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--						
										
					elseif GetZoneText() == "Buring Steppes"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Dalaran" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Let's get down to Azsuna, Khadgar."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Aludane, I have urgent business in Val'sharah. Can you secure a flight for me?"--Val'sharah
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Deadwind Pass" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, begin the teleportation of Dalaran to the Broken Isles."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Deepholm"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Aggra, I am ready. Let us go to Thrall."--Elemental Bonds: Patience
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am prepared. Let us go to the Firelands and finish this."--Into UNrelenting Flames
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Dread Wastes"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Desolace"--Alexstrasza - Shaman - Guide Completed
					then 				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am here on Sorrem's errand, You are to call Furien's dragonhawk for me."--Translation
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to be shown this threat you speak of, Korrah."--The Emergin Threat
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am prepared to join you in battle, Hydronis!"--A Revenant's Vengeance
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to do battle with the Magram clan!"--Delicate Negotiations
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready! I want to join in the battle!"--Into the Fray!
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
										
					elseif GetZoneText() == "Dragonblight"--Anvilmar - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Worry no more, taunka. The Horde will save and protect you and your people, but first you must swear allegiance to the Warchief by taking the blood oath of the Horde."--Blood Oath of the Horde
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, taunka. Retribution is a given right of all members of the Horde."--Blood Oath of the Horde
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Then repeat after me: \"Lok'tar ogar! Victory or death - it is these words that bind me to the Horde. For they are the most sacred and fundamental of truths to any warrior of the Horde.I give my flesh and blood freely to the Warchief. I am the instrument of my Warchief's desire. I am a weapon of my Warchief's command.From this moment until the end of days I live and die - For the Horde!\""--Blood Oath of the Horde
						SLH_QA_TextList[#SLH_QA_TextList+1] = "For the Horde!Arm yourself from the crates that surround us and report to Agmar's Hammer, east of here. Your first trial as a member of the Horde is to survive the journey.Lok'tar ogar!"--Blood Oath of the Horde
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Greetings High Chief. Would you do me the honor of accepting my invitation to join the Horde as an official member and leader of the Taunka?"--All Hail Roanauk
						SLH_QA_TextList[#SLH_QA_TextList+1] = "It is you who honor me, High Chief. Please read from this scroll. It is the oath of allegiance."--All Hail Roanauk
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Get that frostwyrm on the ground and I'll finish her."--Sarathstra's Frozen Heart
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Afraid not. Your days as a sanitation engineer are coming to an end."--No Mercy for the Captured
						SLH_QA_TextList[#SLH_QA_TextList+1] = "No, chancellor, I wouldn't say that I'm here to 'rescue' you, per se."--No Mercy for the Captured
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm afraid not, Schneider. Your time has come!"--No Mercy for the Captured
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Not today, senior scrivener!"--No Mercy for the Captured
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Agent Skully, I need you to use the banshee's magic mirror on me again!"--A Fall From Grace
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Your eminence, may I have a word in private?"--A Fall From Grace
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, your grace. <kiss the ring>"--A Fall From Grace
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "One of the cultists seems to have stumbled onto my blade and died... can I have a new disguise? I promise that I will be more careful this time."--The Best of Intentions
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We need to get into the fight. Are you ready?"--Defending Wyrmrest Temple
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Durotar" 
					then 					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to go, General."--Into the Mists			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to face the Legion."--The Battle for Broken Shore		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "For blood and honor, Warchief!"--Fate of the Horde		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Show me the proof."--Demons among us	
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Dustwallow Marsh"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Eastern Plaguelands"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Felwood"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Feralas"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Frostfire Ridge" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, Khadgar. Let's use the All-Seeing Ring."--All is Revealed
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Spirit of the Wolf"--Stone
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Pul, I need to quickly return to Bladespire Citadel."--Back to Bladespire Citadel
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready!"--Let the Hunt Begin
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Break the chains."--Into the Boneslag
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
													
					elseif GetZoneText() == "Frostwall" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Get the peons back to work."--What we got
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Gazlowe needs you."--What we got
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
													
					elseif GetZoneText() == "Gorgrond" 
					then  	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Thank you for not killing me.  What duty have you failed?"--Ambassador to the Ancient
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What were you supposed to do?"--Ambassador to the Ancient
						SLH_QA_TextList[#SLH_QA_TextList+1] = "So getting that bloom back might fix things... interesting..."--Ambassador to the Ancient
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
												
					elseif GetZoneText() == "Ghostlands"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Grand Bazaar" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Show him the Word of Zul.>"--The world of Zul
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Grizzly Hills"--- Kaneck - Aegwynn - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Unchain and control Flamebringer."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Come on, Budd. Time to play with the ice trolls!"--Filling the Cages
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Shake Drakuru's outstretched hand."--Truce?
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Remove the Eye of the Prophets from the idol's face."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Who was this stranger?"--Get Kodian's Story
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Thank you, Kodian.  I'll do what I can."--Get Kodian's Story
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You're free to go Orsonn, but first tell me what's wrong with the furbolg."--The bear God's Offering
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What happened then?"--The bear God's Offering
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Thank you, Son of Ursoc.  I'll see what can be done."--The bear God's Offering
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Calm down. I want to you ask you about the iron dwarves and Loken."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We have the purified ashes of Vordrassil's sapling.  If we can subdue Ursoc, we might be able to heal his soul."--Ursoc, the Bear God
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "What can you tell me about Loken and the iron dwarves?"--
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Grulloc's Grotto" 
					then  	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Assist Ga'nar in battle.>"--The Eldest
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
				
					elseif GetZoneText() == "Hellfire Peninsula"--Arygos - Shaman - Guide Completed
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Send me to Thrallmar!"--Journey to Thrallmar	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm on a bombing mission for Forward Commander To'arch.  I need a wyvern destroyer!"--Journey to Thrallmar	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Magistrix Carinda has sent me to ask you about Arelion's secret.  Who was he seeing?"--Arelion's Secret
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Place Avruu's Orb on the altar."--Avruu's Orb
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Walk free, elder.  Bring the spirits back to your tribe."--The Dreghood Elders
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, Scryer.  You may possess me."--
					
					elseif GetZoneText() == "Helheim"--Arygos - Shaman - Guide Completed
					then 	
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "I do not belong here! I wish to leave Helheim!"--A Desperate Bargain		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We have defeated your champion. Now, release us from Helheim!"--Paid in Lifeblood
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--

					
					elseif GetZoneText() == "Hillsbrad Foothills"--Turalyon - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Maybe you should go take a nap or something. I don't know if I have any work for you."--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Wait a minute. It looks like something just came up. Yes, right here on this sheet of paper. You need to head southeast to the Azurelode Mine and report to Captain Keyton. Southeast is that way *you point southeast*."--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Um... Apparently there is some trouble at Southshore. Something about worgen insurgents. Maybe you could help with them?"--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "None."--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Right, thanks. Just go ahead and head southeast. More south than east. Probably off the coast."--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Well, we are having some problems at the Sludge Fields, located northeast of here. Warden Stillwater could use your help."--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "That's all."--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "THAT'S ALL, JOHNNY AWESOME. TAKE IT OR LEAVE IT!"--Welcome to the Machine
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Your feet are touching the ground, Orkus. This is shallow water. Just stand up and walk to shore."--Gurgle help Gurgle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready, Orkus. Let's do this!"--Heroes of the Horde
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Dirty, stinkin' Wildhammer. You know these dwarves only consider you as half a dwarf, right? What does that make you? A gnome?"--Infiltrastion
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I guess it's true then. I didn't want to believe that you were a yellow-bellied snow licker, but there's no doubt about it now."--Infiltrastion
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Highmountain"--Aegwynn - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's do this."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Go hunt somewhere else!"--Amateur Hour
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's go hunting!"--Ahunter at Heart
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Send me to Shipwreck Cove, please."--Shiny, But Deadly
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's get out of here!"--Rock Troll in a hard place
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Perform the earth ritual.>"--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take the Windmaster's Totem."--Nursing the Wounds
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready!"--The Beastly Boxer
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Go find shiny! Dig dirt in dead place."--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You kill basilisk! Biggest in cave! Bring back!"--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Make big candle! Lots of wax!"--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Dig rocks, find pretties! More pretty is better."--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You keep one. I keep rest."--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Best kill job me seen! You get best reward..."--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Give Trytooth the boot.>"--Candle of Command
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Me think me have just the right touch..."--Burn the Candle at Both Ends
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I think I hear them coming!"--Scout Harefoot
						SLH_QA_TextList[#SLH_QA_TextList+1] = "There is no time left. Run!"--Evacuate Snowmane
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Howling Fjord"--Bronzbeard - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need a riding bat to intercept the Alliance reinforcements."--Test at Sea
						SLH_QA_TextList[#SLH_QA_TextList+1] = "High Executor Anselm wants a report on the situation."--Reports from the field
						SLH_QA_TextList[#SLH_QA_TextList+1] = "High Executor Anselm requests your report."--Reports from the field
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need to fly to the Windrunner.  Official business!"--The Windrunner Fleet
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready, Orkus. Let's do this!"--Heroes of the Horde!
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I don't have time for chit-chat, Lou. Take me to Scalawag Point."--Scalawag Point
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Taruk sent me to collect what you owe."--Gamlbing Debt
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Pay up, Harry!"--Gamlbing Debt
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'd like to buy Jack a drink.  Perhaps something... extra strong."--Jack Likes his drink
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Here's a gold, buy yourself something nice."--Jack Likes his drink
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Discreetly search the pirate's pockets for Taruk's payment.>"--Jack Likes his drink
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ummm... the frog says you're a traitor, \"matey.\""--Crowleg Dan
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Harry said I could take his bomber to Bael'gun's. I'm ready to go!"--The Ancient Armor of the Kvaldir
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Get in the bomber and return to Scalawag Point.>"--The Ancient Armor of the Kvaldir
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Icecrown"---  - Guide Started (Anvilmar - Shaman - only half a level)
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Icecrown Citadel"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Reporting for duty."--Defender of Azeroth
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Imposter's Lair"---  - Guide Started
					then  					
						
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Investigate the egg."--Investigate the egg. 
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Korthia" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Scan the area to see what exactly might be nearby."--Korthia, the City of Secrets
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Lead the way, Tal-Galan."--Korthia, the City of Secrets
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm prepared for your Maw Walker test."--Korthia, the City of Secrets
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Bolvar requests your current report."--Surveying Secrets
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will guard you while you finish the report."--Surveying Secrets
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--Ease of Passage
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Tell Bolvar of all that has transpired.>"--Good News, Everyone
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I found more relics we can use for our cataloged research."--Research turnin
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to see the message regarding what is within the vault."--Secrets of the vault
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Begin the repairs. I will defend you."--Hooking over
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready. Let's open the way."--Into the vault
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What should we do with the sigil?"--Untangling the sigil
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Give Draka a moment with Thrall.>"--Victory in Our Name
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Witness the end of the battle.>"--Doorway in the Dark
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Signal the Primus to begin.>"--Covenants Renewed.
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Present the sigils to the Primus.>"--Covenants Renewed.
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Krasarang Wilds"--Salen - Ysondre - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You have your whole life ahead of you."--Cheer up, Yi-Mo
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I don't have time for this. Move your ass or I'll move it for you."--Cheer up, Yi-Mo
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take the supplies."--Into the Wilds
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Attempt to free Na Lek from his prison."--The Pools of Youth
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Go, stand by your wife's side. I will protect the tent from invaders."--life
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready, Koro."--Going West
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Reach out to touch Chi-Ji.>"--In the house of the red Crane
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Try to free Kor Bloodtusk from his bonds.>"--For Family
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Kun-Lai Summit"--Salen - Ysondre - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "There's still hope - Gorai is still alive, to the south. Go!"--Free the Disenters
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Begin the ritual."--Thn Ritual
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm from the Horde. We're here to save you and rebuild your village."--Eastwind Rest
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Are you sure you don't want to come with me?"--Instant Courage
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Well you can't just stay in here! You leave me no choice!<Use the Fire Lotus Incense.>"--Instant Courage
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Go ahead with the binding, Cho."--The Tongue of Ba-Shon
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to leave."--Fisherman's tale
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You're exhausted. Go rest and prepare for the battle to come."--It takes a village out of me
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Unscrew the flask and offer it to her.>"--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "...That's enough. Let's go."--Holed up 
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's get out of here."--Holed up 
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes... why don't you \"escort\" me out of here."--Holed up 
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need a kite to get up to the wall!"--To the Wall
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Alright, I'm ready to get back to the front."--Lao-Chin's Gambit
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to leave. Let's go!"--Where are my reinforcements
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Alright, let's go up to the monastery."--Where are my reinforcements
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am here with Ban Bearheart, and we demand an audience with Taran Zhu!"--UNbelievable!
						SLH_QA_TextList[#SLH_QA_TextList+1] = "There's only one way to find out..."--A Witness to History
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Maldraxxus" 
					then  
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me your story."--The house of the Chosen
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Reporting for duty. I'm to prepare for war against the other houses."--The First Act of War
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have orders from Baron Vyraz."--Maintaining Order
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You're acting suspicious."--The Hills Have Eyes.
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What do you know about this blade?"--Forging a Champion
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to start forging a rune weapon."--The Blade of the Primus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Let's fly to the Seat of the Primus."--The Seat of the Primus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have a summons from Draka."--A Common Peril
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "What's your story?"--Glorious Pursuits--Causes other quests to this NPC to not turn in.
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Begin the ritual."--War is Deception
						SLH_QA_TextList[#SLH_QA_TextList+1] = "How would you breach the barrier?"--Breaking Down Barriers
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need you to follow my directions."--Breaking Down Barriers
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ardenweald has asked for help finding former Night Warriors."--The Blade in the Night
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Explain the situation and request Khaliiq's help for Ardenweald.>"--The Blade in the Night
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take the box."--Kyrian Keepsake
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me about this opportunity."--Ta'eran Quest
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Mechagon"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Mount Hyjal"---Altar of Storms - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to travel to Uldum, Aggra."--Into the Slashing Sands
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Administer the draught.>"--Free your Mind, The rest Follows.
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Why are you stealing eggs?"--A Bird In Hand
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Who? Who are you giving the eggs to?"--A Bird In Hand
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Brood of the Earth-Warder... you answer to a black dragon? Give me a name!"--A Bird In Hand
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Ask Thisalee to release the harpy.>"--A Bird In Hand
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, Blackhorn. I've been sent to request your aid, if you are willing."--If your not against us...
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You were a mortal once, Blackhorn. One of us."--If your not against us...
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You'll be destroyed if the Twilight's Hammer brings this mountain down!"--If your not against us...
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Will you help us to defeat them?"--If your not against us...
						SLH_QA_TextList[#SLH_QA_TextList+1] = "On your feet, soldier. The ancients are with us, and the mountain is healed!"--Lost Wardens
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Instructor Devoran sends a contender against your raptor."--Grudge Match
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Boss, one of the boys is causing some trouble outside."--Seeds of Discord
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to begin the battle against Ragnaros."--The Firelord
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You turned Fandral Staghelm over to the Twilight's Hammer. Why have you betrayed the dragonflights?"--The Fallen Guardian
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Nagrand"--Shaman - Arygos - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have killed many of your ogres, Lantresor. I have no fear."--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Should I know? You look like an orc to me."--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "And the other half?"--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have heard of your kind, but I never thought to see the day when I would meet a half-breed."--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "My apologies. I did not mean to offend. I am here on behalf of my people."--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "My people ask that you pull back your Boulderfist ogres and cease all attacks on our territories. In return, we will also pull back our forces."--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We will fight you until the end, then, Lantresor. We will not stand idly by as you pillage our towns and kill our people."--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What do I need to do?"--Diplomatic Measures
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ready to survey the land."--Survey the Land
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Nazjatar"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Nazmir"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Netherstorm"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Begin emergency shutdown.>"-- Shutting down Manaforge B'naar
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Northern Barrens"--Kul Tiras - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, I'm ready. Let's do this thing!"--Crossroads Caravan Pickup
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "<Pound this chump.>"--Drag it out of Them
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "Who sent you!?"--By hook of By Crook
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "<Punch him in the mouth.>"--By hook of By Crook
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "<Kick him in his big fat face.>"--By hook of By Crook
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "<Offer food.>"--By hook of By Crook
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Tickle Time!>"--By hook of By Crook
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Bring it on, Rocco."--Crossroads Caravan Delivery
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Truun is in need of lumber from the Warsong Camp. I need to use Brutusk to haul it."--Got Wood?
						SLH_QA_TextList[#SLH_QA_TextList+1] = "This seems urgent, Kadrak. There must be another way!"--Splintertree Post
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Break Longshore's manacles and free him.>"--The Basrren's Demands
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Let's go!"--Mor-shan Caravan Pick up
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to ride."--Mor-shan Caravan Delivery
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Northern Stranglethorn"--Kil'jaedan - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Orgrimmar" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me what happened."--Shadowlands: A Chilling Summons					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I must help Khadgar. Send me to the Blasted Lands!"--WoD: The Dark Portal				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I must report to the Dark Portal."--BC: The Dark Portal				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need a flight to Hellscream's Fist."--All Aboard!		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take me inside Grommash Hold."--Fate of the Horde
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The Kirin Tor requires my aid. Send me to Dalaran!"--In the Blink of an Eye	
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--	
					
					elseif GetZoneText() == "Oribos" 
					then 				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I want to speak with you about the, \"Threads of Fate\""--Fate's Reminder
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to choose my fate in the Shadowlands."--The Threads of Fate
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Where am I? Have I escaped the Maw?"--Stranger in an Even Stranger Land								
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Are you in charge here? Where am I?"--Stranger in an Even Stranger Land					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, I escaped the Maw."--No Place for the Living
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will join you."--Audience with the Arbiter
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is this place?"--Audience with the Arbiter
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to return."--Audience with the Arbiter
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's head outside."--A Doorway Through the Veil		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Summon the portals here."--A Doorway Through the Veil		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is available here?"--The Eternal City		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is this Hall of Holding?"--The Eternal City		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Thank you for the kind welcome to your Inn."--The Eternal City		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is this place?"--The Eternal City		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is this bazaar?"--The Eternal City		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can you help us find answers?"--The Eternal City		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will go with you."--Understanding the Shadowlands		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready. Send me to Bastion."--Seek the Ascended				
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Maldraxxus has attacked Bastion."--Follow the Path	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready. Send me to Maldraxxus."--If you want Peace...	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready. Send me to Ardenweald."--Journey to Ardenweald							
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready. Send me to Revendreth."--Journey to Revendreth							
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Ask Adrestes what happened in Elysian Hold.>"--The First Move							
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--A Gathering of Covenants						
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to begin."--Voices of the Eternal - must precede )"<Leave the Arbiter's Chamber.>"--Voices of the Eternal)
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Leave the Arbiter's Chamber.>"--Voices of the Eternal
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm prepared for you to examine my anima."--Opening The Maw
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to go."--Call of the Primus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "May I visit with the Arbiter?"--Souls Entwined
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What can you tell me about Cartel So?"--Insider Trading
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Escort Sylvanas to the Enclave.>"--A Long Walk
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take me to the Crucible."--A Long Walk
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Witness the Arbiter's judgment.>"--The Fate of Syvanas
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Witness Tyrande's judgment.>"--Penance and Renewal
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Stay awhile and listen.>"--
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Ratchet" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Club him unconscious.>"--Club Foote
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Rifle through his pockets.>"--Club Foote
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Revendreth" 
					then  					
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "Show me the Sanctum."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Come with me."--Bottom Feeders
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Ready."--To Darkhaven
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Request tithe>"--Bring Out the Tithe						
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Deliver Prince Renathal's invitation.>"--Harvester of Desire
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Present the Offer of Employment.>"--Reestablishing the Household
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Are you enjoying yourself?"--Mix, Mingle, and Meddle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You stand accused of conspiring to overthrow The Countess."--Enacting Immediate Justice
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Prince Renathal is assembling a diplomatic envoy to the Stonewright."--Dread Tidings
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What happened?"--Convoy to the Covenants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Prince Renathal plans to petition the Stonewright."--Convoy to the Covenants
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What's the plan?"--Hunting Huln
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready for my disguise."--Hunting Huln
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Have you seen anything unusual?"--Hunting Huln
						SLH_QA_TextList[#SLH_QA_TextList+1] = "That dreadlord tried to bribe me into freeing him. These Sigils of Binding weren't very secure."--Mal'appropriated
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Have you seen anyone unusual being taken into custody?"--Mal'appropriated
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Okay. What should we do?"--The Big Squeeze
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Okay."--The Big Squeeze
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Have you seen a large, blue soul with horns that doesn't look like he belongs in Revendreth?"--The Big Squeeze
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Has the Stonewright passed this way with a captive recently?"--Out on the edge
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Quickly explain what is going on.>"--Out on the edge
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Here, I found this ink bottle."--Lost Quill
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Activate the brazier."--Soulguard Dredger
						SLH_QA_TextList[#SLH_QA_TextList+1] = "How can I prove to you that I'm in House Grinchin?"--Chest
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Show the House Grinchin Ring.>"--Chest
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Saragosa's Landing"--
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Keristrasa, I am finished here. Please return me to the Transitus Shield."--Saragoa's End	
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
											
					elseif GetZoneText() == "Searing Gorge"--- Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Seat of the Archon" 
					then 							
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready for the ceremony."--The New Path
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
										
					elseif GetZoneText() == "Shadowmoon Valley"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Shattrath City"
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Altruis sent me. He said that you could help me."--Patience and Understanding
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have been sent by Sal'salabim to collect a debt that you owe. Pay up or I'm going to have to hurt you."--Crackin some Skull 
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Sholazar Basin"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Silithus"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Silverpine Forest"--Misha - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need to take a bat to the Dawning Isles."--Iterating Upon Success
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Use the Ambermill Dimensional Portal.>"--Transdimensional Warfare: Chapter II
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Skyhold" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to begin."--The Chosen Few
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to bear witness, Odyn."--Wrath of Odyn
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Southern Barrens"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Spires of Arak"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Stonetalon Mountains"--Alexstrasza - Shaman - Guide Completed
					then 				
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
										
					elseif GetZoneText() == "Storm Peaks"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Stormheim"--Alexstrasza - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Hear what?"--Captain Thomas of the Blightcaller
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to receive your gift, Yotnar."--The Blessing of the Watchers
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Fly me to the summit, Vethir."--Where Dragons Rule
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am prepared to receive your gift."--Where Dragons Rule
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Um... caw?"--Dances with Ravenbears
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Attempt to commune with the statue."--Becoming the Ascendant
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Show me your tormentors, and I will help!"--Tormented Earth
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Use the Jailer's Shard to break Vethir's prison."--A Familiar Fate
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take me to the top, Vethir!"--Stormheim's Salvation
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take me back to the Gates of Valor."--Stormheim's Salvation
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Stormwind City" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's go."--BFA Intro Scenario	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will be right behind you."--BFA Intro Scenario	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready."--BFA Intro Scenario	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Not at all."--BFA Intro Scenario	
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Stormwind Stockade" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What do you mean?"--BFA Scenario
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Suramar"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Swamp of Sorrows"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Stormstout Brewery"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's do this, Chen."--Cleaning House
								
					elseif GetZoneText() == "Taladar"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Tanaan Jungle" 
					then 			
						--Start Shadowlands
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Khadgar has asked us to go distract the Eye of Kilrogg."--Altar Altercation	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes. I need you to help me operate that enormous tank."--Taking a trip to the top of the tank
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Tanaris"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Tazavesh, the Veiled Market"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I seek entrance into Tazavesh."--The Veiled market
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Terokkar Forest"--Coilfang - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have been sent by Sal'salabim to collect a debt that you owe. Pay up or I'm going to have to hurt you."--Crackin' Some Skulls
						SLH_QA_TextList[#SLH_QA_TextList+1] = "He wants his \"golds.\" Pay up or die... again..."--Crackin' Some Skulls
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "The Cape of Stranglethorn"--Darrowmere - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "The Hinterlands"--Frostwolf - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "The Jade Forest"--Ysondre - Shaman - Guide Completed
					then 					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Snap out of it! You're alive! Nazgrim has ordered us to report to the nearby village."--Regroup!		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We need to regroup, Sergeant! Go to the nearby village."--Regroup!		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "On your feet! Nazgrim is organizing a counter-attack. We're regrouping in the village."--Regroup!		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Quit messing around and use your knife! Nazgrim wants you to report to the village immediately."--Regroup!		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Create a sketch of the statue piece.>"--Monstrosity		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You can go home now. I'll cover your back."--Unreliable allies		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "You can go home to your family now."--Unreliable allies		
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Big Chief Kah Kah, we will be exploring your lands and could use a good guide. Will you help us?"--Beyond the Horizon	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Nazgrim has assigned you to scout the region, Shokia. You are to depart shortly."--Beyond the Horizon	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Nazgrim has assigned you to help scout the region, Gorrok. You are to depart shortly."--Beyond the Horizon	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Nazgrim has assigned you to the scouting party, Kiryn. You are to depart shortly."--Beyond the Horizon	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am an orc, ma'am. Would you mind if I asked you a few questions?"--Scouting Report: Hostile Natives
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Never! Riko protect you to death!"--Scouting Report: Like Jinyu in a barrel
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Okay, Rivett. I'm ready!"--Boom goes the Doonamite
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Send me to Dawn's Blossom."--Dawn's Blossom
						SLH_QA_TextList[#SLH_QA_TextList+1] = "It's safe now.  You can come down."--The Double Hozen Dare
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Where is Shin?"--The Jade Witch
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Challenge the Pandriarch."--Defeat the Pandriarch.
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I don't need any introductions, old man. Let's skip ahead to the good part."--The Great Banquet
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am certain. Let's move on to the fighting."--The Great Banquet
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's fight!"--Becoming Battle Ready
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Wanna fight?"--Zhi-Zhi the dextrous
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I challenge you to a fight, Husshun!"--Husshun, the Wizened
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Put down your fork, and pick up your fists! I challenge you!"--Xiao, the Eater
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Get to Hanae's house. It's safe there."--Rally the Survivors
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I've got a jade delivery for you."--Love's Labor
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Did someone say they needed jade?"--Love's Labor
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I've got your jade right here."--Love's Labor
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I've got a new jade shipment for you."--Love's Labor
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have a message for the Jade Serpent."--The Temple of the Jade Serpent
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I could use a kite to Grookin' Hill."--Grookin Hill
						SLH_QA_TextList[#SLH_QA_TextList+1] = "General Nazgrim needs an update on your progress."--Gauging our Progress
						SLH_QA_TextList[#SLH_QA_TextList+1] = "General Nazgrim wants an update on your progress."--Gauging our Progress
						SLH_QA_TextList[#SLH_QA_TextList+1] = "General Nazgrim needs your training report."--Gauging our Progress
						SLH_QA_TextList[#SLH_QA_TextList+1] = "General Nazgrim wants to know the status of the supplies."--Gauging our Progress
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to leave."--Last Piece of the Puzzle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's do this, Mishi!"--The Seal is Broken
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "The Maelstrom" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will see to the others, Farseer."--Melee at the Maelstrom
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes. I will be your Farseer!"--Shaman Order Hall
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "The Maw" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--A Flight from Darkness
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me about this place."--A Moment's Respite
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me more of the Jailer."--A Moment's Respite
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What about the others who were taken?"--A Moment's Respite
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Lie low and observe.>"--A Moment's Respite
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Make it talk."--From the Mouths of Madness						
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's go."--Delving Deeper
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need your help to find a second waystone to create a permanent connection to Oribos."--Link to the Maw
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready, let's move."--Mysteries of the Maw
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The bag you had me carry wasn't yours?"--Grab Bag
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready! <Fly with Danica to Skyhold.>"--Grab Bag
						SLH_QA_TextList[#SLH_QA_TextList+1] = "How do I bind this horn to the Maw?"--Mawsplaining
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready!"--Good News, Everyone!
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What are your ground rules for working together?"--Setting the Ground Rules
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Deal. I will tell no one about you in exchange for the Soulkeeper."--Setting the Ground Rules
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to assist you."--Report to Xandria
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's fly, Xandria."--Report to Xandria
						SLH_QA_TextList[#SLH_QA_TextList+1] = "How can I help the assault, Prince Renathal?"--Assault
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Thousand Needles"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Thunder Totem"--Aegwynn - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me the Story of Huln."--The Story of Huln
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me more of Huln Highmountain. [Enter Flashback]"--Huln's War
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Your family is at the Hammer's Cradle."--Moozy's Reunion
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes!"--Unexpected Allies
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--Unexpected Allies
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Torghast, Tower of the Damned" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Free the Soul Remnant."--Soul Remnant
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, I will help."--Moriaz the Red
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will assist you."--Sawn
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Do not worry, I will free you."--Kaletar
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need your help. We need to seal this sigil so the Jailer cannot retrieve it."--Untangling the Sigil
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'll help however I can."--Defending the Primus
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
										
					elseif GetZoneText() == "Townlong Steppes"--Salen-Ysondre- Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Examine the body."--Ranger Rescue
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Twilight Highlands"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Uldum"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, elemental. Take me to Thrall."--Elemental Bonds
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Aggra, I am ready to travel to the Abyssal Maw."--Into Coaxing Tides
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Un'goro Crater"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Val'sharah"--Eitrigg - Shaman - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, Malfurion."--Cenarius, Keeper of the Grove
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will help you defeat Gorebeak."--Gorebeak
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Gently shake the sleeping druid.>"--Antydas Nightcaller
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Free Remulos from captivity."--Moon Reaver
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'll save you, poor little thing."--Shivering Ashmaw Cub
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to aid you, Malfurion."--The Emerald Queen
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Okay...?"--Tehd and Marius
						SLH_QA_TextList[#SLH_QA_TextList+1] = "It's safe now."--The Farmstead
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to go."--Jarod's Mission
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Excuse me..."--Illidari Freedom
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Arduen sent me. You're free."--Illidari Freedom
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Be at peace."--Illidari Freedom
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Leave the Darkpens."--Lieutenant of the Tower
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, Ysera. Let us find Malfurion!"--Malfurion's Fury
						SLH_QA_TextList[#SLH_QA_TextList+1] = "By my honor you will come to no harm, priestess."--Dark side of the Moon
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Valley of the Four Winds"--Dragonblight - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Hit me as hard as you possibly can!"--The Fabulous Miss Fanny
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready. Let's hit the road."--Great Minds drink alike
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Go ahead and speak with the water, Ashyo."--Ashyo's Vision
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What happened, Chen?"--Broken Dreams
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm here to pick up seeds for Farmer Yoon."--Get Seeds
						SLH_QA_TextList[#SLH_QA_TextList+1] = "He just inherited Sunsong Ranch. You can literally see him from where you are standing."--Get Seeds
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to go, Mudmug."--The Great Water Hunt
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's head back to Halfhill, Mudmug."--Barrelling Along
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm helping a friend brew some beer, and we need hops. Do you have any to spare?"--Speak with Gardener Fran
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to go!"--Speak with Gardener Fran
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Do you have any hops you can spare?"--Speak with Den Mudclaw
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Come on, Mina. Let's get you out of here."--Seeing Orange
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can I buy some hops from you?"--Speak with Gai Lan
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What weeds?"--Speak with Gai Lan
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Crack your knuckles and nod your head.>"--Cleaning House
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Loon Mai has issued evacuation orders."--Evacuation Orders
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, they're right here. Let's go."--Evacuation Orders
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes, Commander Mai sent me, and I carry his evacuation orders."--Evacuation Orders
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready for the trial of bamboo."--Unueilding fists
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Try shaking Hemet.>"--Parental Mastery
						SLH_QA_TextList[#SLH_QA_TextList+1] = "My fists are ready. Bring on the trial of wood."--Trial of Wood
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I've done all that you've asked of me. I'm ready for the trial of stone."--Trial of Stone
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Vashj'ir"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Vol'dun"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Western Plaguelands"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Winterspring"---  - Guide Started
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Wor'gol" 
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready for the ritual, farseer."--Pool of Visions
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "Zangarmarsh"--Coilfang - Shaman - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Grant me your mark, wise ancient."--Warning the Cenarion Circle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Grant me your mark, mighty ancient."--Blessing of the Ancients
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have been sent by Sal'salabim to collect a debt that you owe. Pay up or I'm going to have to hurt you."--Crackin' some Skulls
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Zereth Mortis" --Anvilmar - Shaman - Completed (No Guide)
					then  	
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We have arrived from Oribos in pursuit of the Jailer."--Forging Connections
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Yes. I have returned with my allies from Oribos."--The Forces Gather
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Cartel Xy has infiltrated Zereth Mortis. You are no longer safe here."--Knowing is half the Battle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Don't you know that you're in danger here?"--Enlightened Exodus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Your Cartel Al friends miss you."--Enlightened Exodus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The portal to Oribos is open."--Enlightened Exodus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Hide us from the enemy's sight."--Scout the Sands
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Your presence is requested immediately at Provis Terra."--A Break in Communication
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready."--Fighting for the Forge
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Pelagos speaks the truth."--Core of the Matter
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Tell Firim about the oracle.>"--Now you may speak
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Give the flowers to Tamra.>"--Surveying Cyohers
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "<Inspect the console.>"--Further Research: Aealic
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Tell me what happened."--News from Oribos
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We need your assistance."--Enlisting the Enlightened
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Touch the Ancient Translocator.>"--Glow and Behold
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need to restore this artifact."--Where there's a Pilgrim, There's a way.
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Bottoms up."--Catalyst Crush
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's begin."--Key Crafting
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What's next?"--The Pilgramage Ends
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Stay awhile and listen.>"--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is happening?"--Somethign Wonderful
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What are you doing?"--What a long Strange Tip
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Why are the devourers attacking us?"--What a long Strange Tip
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Where are you going?"--What a long Strange Tip
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What is the vessel?"--What a long Strange Tip
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Transfer your energy into the oracle."--Oracle, Heal Thyself
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Tell Bolvar about Saezurah and her plans to forge a new Arbiter.>"--Arbiter in the Making
						SLH_QA_TextList[#SLH_QA_TextList+1] = "How do we help Zereth Mortis create a new Arbiter?"--Resotration Project
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can we get additional aid from the Enlightened?"--Help From Beyond
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need your assistance."--Help From Beyond
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Will you bring your forces to fight with us?"--Help From Beyond
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The chamber is safe, we can proceed with the ritual."--As Foretold
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's begin the ritual."--Acquaintances Forgotten
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Examine the Vessel."--The Turning Point
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Examine the Automa."--The Turning Point
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What do you mean?"--For Every Soul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Bolvar requests your current report."--Our Forward Scouts
						--SLH_QA_TextList[#SLH_QA_TextList+1] = "Could you show me how to decode a Cantaric Protolock?"--First Cantaric Protolock
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Hand over the missing tool.>"--Treasure
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The devourer threat has been pushed back and the Wellspring has been restored."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I need to restore these remnants."--
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Go to the cave to the north. It's safe there."--Broken Circle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have done what you asked. Now will you leave?"--Broken Circle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to go."--Broken Circle
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's do this!"--The Final Song
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Insert the Protoform Catalyst."--The lost component
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Thieving cartels could infiltrate Zereth Mortis at any time! You are no longer safe here."--Enlightened Exodus
						SLH_QA_TextList[#SLH_QA_TextList+1] = "The chamber is safe. We can proceed with the ritual."--As Foretold
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Witness the Jailer's defeat.>"--Witness the Jailer's defeat.
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
				
					elseif GetZoneText() == "Zul'Drak"--- Kaneck - Aegwynn - Guide Completed
					then  					
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I've lost Nass..."--Kickin Nass and Takin' Manes
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Stefan told me you would demonstrate the purpose of this item."--Near Miss
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready, Gymer. Let's go!"--The StormKing's Vengeance
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Uhh, can you send me on the tour of Zul'Drak?"--Dark Horizon
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready to accompany you, Drakuru."-- Betrayal
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready."--Betrayal
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Soldier, you have new orders. You're to pull back and report to the sergeant!"--Argent Crusade, We are Leaving
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Great and powerful Har'koa, please call for one of your children that it might stealthily carry me into the Altar of Quetz'lun."--I sense a Disturbnace
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Lift the frost leopard's tail to check if it's a male or a female."--Tails up
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Lift the icepaw bear's tail to check if it's a male or a female."--Tails up
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
								
					elseif GetZoneText() == "Zuldazar"--Altar of Storms - Shaman - Guide Completed
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Take me to King Rastakhan."--Rastakhan
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Show her the Word of Zul.>"--The world of Zul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Show him the Word of Zul.>"--The world of Zul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready."--Make Loh Go
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can you work with Jangalar to solve this problem?"--Mating Season Halftime
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Jangalar is attuned to the dinosaurs. Can you use that?"--Mating Season Halftime
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I will let Jangalar know."--Mating Season Halftime
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Can Cala's science help?"--Mating Season Halftime
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Her alchemy does affect the dinosaurs. Can your voodoo make it work correctly?"--Mating Season Halftime
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's try again."--Mating Season Halftime
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I have a shiny trinket for you, Jani."--Shinies
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I'm ready to train."--How to Train your Direhorn
						SLH_QA_TextList[#SLH_QA_TextList+1] = "We have a bargain."--Gonk, Lord of the Pack
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Toss the chum into the sea."--Chum Bucket
						SLH_QA_TextList[#SLH_QA_TextList+1] = "How goes the mending?"--In Bwonsamdi's Shafow
						SLH_QA_TextList[#SLH_QA_TextList+1] = "I am ready, Jol."--Mending Body and Soul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Offer Astringent Spices: >"--Mending Body and Soul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Offer Sea Urchin Brine: >"--Mending Body and Soul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Offer Ancient Tortollan Scroll: >"--Mending Body and Soul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "<Offer Clotting Powder: >"--Mending Body and Soul
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Rastakhan is injured and will not wake. We need your help."--The Will of the loa
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Let's get out of here!"--To Sacrifice a Loa
						SLH_QA_TextList[#SLH_QA_TextList+1] = "What now?"--The king's Gambit
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					
					elseif GetZoneText() == "Zouchin Village" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = "Where have the Thunder King's Remains been taken?!"--Revelations
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
						
					elseif GetZoneText() == "CopyForNewZone" 
					then 			
						SLH_QA_TextList[#SLH_QA_TextList+1] = ""--
					end
					
					for i=1, SLH_numOptions do								
					--[[DevMode]]if SLH_QA_GetZoneAndText_DevMode and SLH_GossipInfoGetOptionsTable[i].name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_GossipText Text: " .. SLH_GossipInfoGetOptionsTable[i].name) end
						if tContains(SLH_QA_TextList, SLH_GossipInfoGetOptionsTable[i].name:gsub("[\n\r\f]", ""))
						then
							C_GossipInfo.SelectOption(i);
							_G_SLH["SLH_SF"]["Config"]["Print"]("Selected: " .. SLH_GossipInfoGetOptionsTable[i].name)
							return
						end
						
					end		
					
					--Special Gossip Selections
					local SLH_QA_SpecialGossipText = string.gsub(C_GossipInfo.GetText(), "<", "")
					--[[DevMode]]if SLH_QA_DevMode and SLH_QA_SpecialGossipText ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_QA_SpecialGossipText Text: " .. SLH_QA_SpecialGossipText) end
					
					if GetZoneText() == "Valley of the Four Winds" and string.find(SLH_QA_SpecialGossipText, "What would you like Miss Fanny to do to the turnip?")
					then 
						for i=1, SLH_numOptions do	
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipInfoGetOptionsTable[i].name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_GossipInfoGetOptionsTable[".. i.. "].name Text: " .. SLH_GossipInfoGetOptionsTable[i].name) end
							if SLH_GossipInfoGetOptionsTable[i].name == "Hit it with average power."
							then
								C_GossipInfo.SelectOption(i);
								_G_SLH["SLH_SF"]["Config"]["Print"]("Selected: " .. "Hit it with average power.")
								return
							end
							
						end	
					end
					if GetZoneText() == "Valley of the Four Winds" and string.find(SLH_QA_SpecialGossipText, "What would you like Miss Fanny to do to the watermelon?")
					then 
						for i=1, SLH_numOptions do	
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipInfoGetOptionsTable[i].name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_GossipInfoGetOptionsTable[".. i.. "].name Text: " .. SLH_GossipInfoGetOptionsTable[i].name) end
							if SLH_GossipInfoGetOptionsTable[i].name == "Hit it very softly."
							then
								C_GossipInfo.SelectOption(i);
								_G_SLH["SLH_SF"]["Config"]["Print"]("Selected: " .. "Hit it very Softly.")
								return
							end
							
						end	
					end
					if GetZoneText() == "Valley of the Four Winds" and string.find(SLH_QA_SpecialGossipText, "What would you like Miss Fanny to do to the extra")---spicy tofu?
					then 
						for i=1, SLH_numOptions do	
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipInfoGetOptionsTable[i].name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_GossipInfoGetOptionsTable[".. i.. "].name Text: " .. SLH_GossipInfoGetOptionsTable[i].name) end
							if SLH_GossipInfoGetOptionsTable[i].name == "Hit it as hard as possible."
							then
								C_GossipInfo.SelectOption(i);
								_G_SLH["SLH_SF"]["Config"]["Print"]("Selected: " .. "Hit it as hard as possible.")
								return
							end
							
						end	
					end
					return
				end
				
			-- Turn in Quests
				local SLH_QA_ActiveQuests = function (SLH_QAOptions, event, name, questStartItemID, ...)
					if IsAltKeyDown() then return end
					--[[DevMode]]if SLH_QA_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_ActiveQuests: " .. event) end	
							
					local SLH_NumGossipActiveQuests = C_GossipInfo.GetNumActiveQuests()	
					--[[DevMode]]if SLH_QA_DevMode and SLH_NumGossipActiveQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_ActiveQuests SLH_NumGossipActiveQuests: " .. SLH_NumGossipActiveQuests) end						
					
					local SLH_GetNumActiveQuests = GetNumActiveQuests()	
					--[[DevMode]]if SLH_QA_DevMode and SLH_GetNumActiveQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_ActiveQuests SLH_GetNumActiveQuests: " .. SLH_GetNumActiveQuests) end
					
					if not(SLH_NumGossipActiveQuests == nil) and SLH_NumGossipActiveQuests > 0
					then
						for i=1, SLH_NumGossipActiveQuests do	
							--Is Quest Complete?
							local SLH_GossipActiveQuests_questID = C_GossipInfo.GetActiveQuests()[i].questID							
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipActiveQuests_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_ActiveQuests ActiveQuests_questID: " .. SLH_GossipActiveQuests_questID) end	
							local SLH_GossipActiveQuests_isComplete = C_QuestLog.IsComplete(SLH_GossipActiveQuests_questID)
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipActiveQuests_questID ~= nil then if SLH_ActiveQuests_isComplete then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_GossipActiveQuests_questID .. " Complete") else _G_SLH["SLH_SF"]["Config"]["Print"](SLH_GossipActiveQuests_questID .. " Not Complete") end end
							
							if SLH_GossipActiveQuests_isComplete
							then 
								C_GossipInfo.SelectActiveQuest(i)	
							end
						end
					elseif not(SLH_GetNumActiveQuests == nil) and SLH_GetNumActiveQuests > 0
					then
						for i=1, SLH_GetNumActiveQuests do		
							--Is Quest Complete?
							local SLH_ActiveQuests_questID = GetActiveQuestID(i)							
							--[[DevMode]]if SLH_QA_DevMode and SLH_ActiveQuests_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("ActiveQuests_questID: " .. SLH_ActiveQuests_questID) end	
							local SLH_ActiveQuests_isComplete = C_QuestLog.IsComplete(SLH_ActiveQuests_questID)
							--[[DevMode]]if SLH_QA_DevMode and SLH_ActiveQuests_questID ~= nil then if SLH_ActiveQuests_isComplete then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_ActiveQuests_questID .. " Complete") else _G_SLH["SLH_SF"]["Config"]["Print"](SLH_ActiveQuests_questID .. " Not Complete") end end
							
							if SLH_ActiveQuests_isComplete
							then 
								SelectActiveQuest(i)			
							end		
						end		
					end	
					return
				end
				
				local SLH_QA_CompleteQuests = function (SLH_QAOptions, event, name, questStartItemID, ...)	
					if IsAltKeyDown() then return end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_TextToSpeech() end
					--[[DevMode]]if SLH_QA_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_CompleteQuests: " .. event) end
					C_Timer.After(_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestCompleteDelay"], function() CompleteQuest(questStartItemID) end)
					
					local SLH_numQuestChoices = GetNumQuestChoices()
					--[[DevMode]]if SLH_QA_DevMode and SLH_numQuestChoices ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_CompleteQuests numQuestChoices: " .. SLH_numQuestChoices) end
					local SLH_ChoicesTable = {}
					local SLH_itemSellPriceChoicesTable = {}
					local SLH_UsableChoicesTable = {}
					local SLH_itemLevelChoicesTable = {}
					local SLH_itemEquipLocTable1 = {}
					local SLH_itemEquipLocTable2 = {}
					for i=1, SLH_numQuestChoices do			
						local SLH_name, 
							SLH_texture, 
							SLH_count, 
							SLH_quality, 
							SLH_isUsable = GetQuestItemInfo("choice", i)
					
						local SLH_Itemlink = GetQuestItemLink("choice", i)
							
						local SLH_itemName, 
							SLH_itemLink, 
							SLH_itemRarity, 
							SLH_itemLevel, 
							SLH_itemMinLevel, 
							SLH_itemType, 
							SLH_itemSubType, 
							SLH_itemStackCount,
							SLH_itemEquipLoc, 
							SLH_itemIcon, 
							SLH_itemSellPrice, 
							SLH_itemClassID, 
							SLH_itemSubClassID, 
							SLH_bindType, 
							SLH_expacID, 
							SLH_itemSetID, 
							SLH_isCraftingReagent = GetItemInfo(SLH_Itemlink) 
						
						local SLH_itemID, 
							SLH_itemType, 
							SLH_itemSubType, 
							SLH_itemEquipLoc, 
							SLH_icon, 
							SLH_itemClassID, 
							SLH_itemSubClassID = GetItemInfoInstant(SLH_Itemlink) 
							
						local SLH_effectiveILvl, 
							SLH_isPreview, 
							SLH_baseILvl = GetDetailedItemLevelInfo(SLH_Itemlink)
							
						local SLH_itemSlotTable = {
						  ["INVTYPE_AMMO"] =           { 0 },
						  ["INVTYPE_HEAD"] =           { 1 },
						  ["INVTYPE_NECK"] =           { 2 },
						  ["INVTYPE_SHOULDER"] =       { 3 },
						  ["INVTYPE_BODY"] =           { 4 },
						  ["INVTYPE_CHEST"] =          { 5 },
						  ["INVTYPE_ROBE"] =           { 5 },
						  ["INVTYPE_WAIST"] =          { 6 },
						  ["INVTYPE_LEGS"] =           { 7 },
						  ["INVTYPE_FEET"] =           { 8 },
						  ["INVTYPE_WRIST"] =          { 9 },
						  ["INVTYPE_HAND"] =           { 10 },
						  ["INVTYPE_FINGER"] =         { 11, 12 },
						  ["INVTYPE_TRINKET"] =        { 13, 14 },
						  ["INVTYPE_CLOAK"] =          { 15 },
						  ["INVTYPE_WEAPON"] =         { 16, 17 },
						  ["INVTYPE_SHIELD"] =         { 17 },
						  ["INVTYPE_2HWEAPON"] =       { 16 },
						  ["INVTYPE_WEAPONMAINHAND"] = { 16 },
						  ["INVTYPE_WEAPONOFFHAND"] =  { 17 },
						  ["INVTYPE_HOLDABLE"] =       { 17 },
						  ["INVTYPE_RANGED"] =         { 18 },
						  ["INVTYPE_THROWN"] =         { 18 },
						  ["INVTYPE_RANGEDRIGHT"] =    { 18 },
						  ["INVTYPE_RELIC"] =          { 18 }
						}				
						for key, value in pairs(SLH_itemSlotTable) do 
							if key == SLH_itemEquipLoc
							then
								SLH_RewardItemSlotID1 = value[1]
								SLH_RewardItemSlotID2 = value[2]
							end
						end			
						
						--Returns the item id of the item in the specified inventory slot
						local SLH_EquipedItemLink1 = GetInventoryItemLink("player", SLH_RewardItemSlotID1)
						local SLH_EquipedItemLink2 = GetInventoryItemLink("player", SLH_RewardItemSlotID2)
						
						if SLH_EquipedItemLink1
						then
							local SLH_EquippeditemName1, 
								SLH_EquippeditemLink1, 
								SLH_EquippeditemRarity1, 
								SLH_EquippeditemLevel1, 
								SLH_EquippeditemMinLevel1, 
								SLH_EquippeditemType1, 
								SLH_EquippeditemSubType1, 
								SLH_EquippeditemStackCount1,
								SLH_EquippeditemEquipLoc1, 
								SLH_EquippeditemIcon1, 
								SLH_EquippeditemSellPrice1, 
								SLH_EquippeditemClassID1, 
								SLH_EquippeditemSubClassID1, 
								SLH_EquippedbindType1, 
								SLH_EquippedexpacID1, 
								SLH_EquippeditemSetID1, 
								SLH_EquippedisCraftingReagent1 = GetItemInfo(SLH_EquipedItemLink1) 	
								
							local SLH_EquippedeffectiveILvl1, 
								SLH_EquippedisPreview1, 
								SLH_EquippedbaseILvl1 = GetDetailedItemLevelInfo(SLH_EquipedItemLink1)			
						end
						
						if SLH_EquipedItemLink2
						then
							local SLH_EquippeditemName2, 
								SLH_EquippeditemLink2, 
								SLH_EquippeditemRarity2, 
								SLH_EquippeditemLevel2, 
								SLH_EquippeditemMinLevel2, 
								SLH_EquippeditemType2, 
								SLH_EquippeditemSubType2, 
								SLH_EquippeditemStackCount2,
								SLH_EquippeditemEquipLoc2, 
								SLH_EquippeditemIcon2, 
								SLH_EquippeditemSellPrice2, 
								SLH_EquippeditemClassID2, 
								SLH_EquippeditemSubClassID2, 
								SLH_EquippedbindType2, 
								SLH_EquippedexpacID2, 
								SLH_EquippeditemSetID2, 
								SLH_EquippedisCraftingReagent2 = GetItemInfo(SLH_EquipedItemLink2) 
								
							local SLH_EquippedeffectiveILvl2, 
								SLH_EquippedisPreview2, 
								SLH_EquippedbaseILvl2 = GetDetailedItemLevelInfo(SLH_EquipedItemLink2)
						end	
						
						
						
						local SLH_ItemLevelDifference1 = 0
						local SLH_ItemLevelDifference2 = 0
						if not(SLH_EquippedeffectiveILvl1 == nil) then SLH_ItemLevelDifference1 = SLH_effectiveILvl - SLH_EquippedeffectiveILvl1 end
						if not(SLH_EquippedeffectiveILvl2 == nil) then SLH_ItemLevelDifference2 = SLH_effectiveILvl - SLH_EquippedeffectiveILvl2 end
						if SLH_ItemLevelDifference1 > SLH_ItemLevelDifference2
						then
							SLH_ItemLevelDifference = SLH_ItemLevelDifference1
						else
							SLH_ItemLevelDifference = SLH_ItemLevelDifference2
						end
											
						SLH_ChoicesTable[i]=i
						SLH_UsableChoicesTable[i]=SLH_isUsable 
						SLH_itemSellPriceChoicesTable[i]=SLH_itemSellPrice 
						SLH_itemLevelChoicesTable[i]=SLH_ItemLevelDifference 
						SLH_itemEquipLocTable1[i]=SLH_RewardItemSlotID1 
						SLH_itemEquipLocTable2[i]=SLH_RewardItemSlotID2
					end

				
					local SLH_ChoiceCount = 0
					for _ in pairs(SLH_ChoicesTable) do 
						SLH_ChoiceCount = SLH_ChoiceCount + 1 
					end
					
					local SLH_itemEquipLoc_Weapon = "N"
					for i, v in ipairs(SLH_itemEquipLocTable1) do 
						--[[DevMode]]if SLH_QA_DevMode and i ~= nil and v ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_CompleteQuests CompleteQuests: SLH_itemEquipLocTable1: " .. i .. ", " .. v) end
						if (v == 16 or v == 17 or v == 18)
						then									
							SLH_itemEquipLoc_Weapon = "Y"
							--[[DevMode]]if SLH_QA_DevMode and SLH_itemEquipLoc_Weapon ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_CompleteQuests CompleteQuests: SLH_itemEquipLoc_Weapon: " .. SLH_itemEquipLoc_Weapon) end
						end
					end	
					for i, v in ipairs(SLH_itemEquipLocTable2) do 
						--[[DevMode]]if SLH_QA_DevMode and i ~= nil and v ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_CompleteQuests CompleteQuests: SLH_itemEquipLocTable2: " .. i .. ", " .. v) end
						if (v == 16 or v == 17 or v == 18)
						then									
							SLH_itemEquipLoc_Weapon = "Y"
							--[[DevMode]]if SLH_QA_DevMode and SLH_itemEquipLoc_Weapon ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_CompleteQuests CompleteQuests: SLH_itemEquipLoc_Weapon: " .. SLH_itemEquipLoc_Weapon) end
						end
					end			
								
			
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["AutoSelectRewards"] == "Y" 
					then
						if  SLH_ChoiceCount <= 1 
						then 		
							
							if QuestFrameCompleteQuestButton:IsVisible() then QuestFrameCompleteQuestButton:Click() end
							if QuestFrameCompleteButton:IsVisible() then QuestFrameCompleteButton:Click() end
						elseif _G_SLH["SLH_SV"][QA_Profile]["QA"]["ExcludeWeapons"] == "Y" and SLH_itemEquipLoc_Weapon == "Y"
						then												
							_G_SLH["SLH_SF"]["Config"]["Print"]("Automated Weapon Selection Excluded: Quest Automation Paused for Weapon Reward Selection. Please Select Reward and Click Complete Quest.")
							return
						elseif _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectionCriteria"] == "Highest Vendor Sell Price"
						then									
							for index, value in pairs(SLH_itemSellPriceChoicesTable) do 
								if index == 1 
								then 
									SLH_HighestitemSellPrice = value 
									SLH_HighestitemSellPriceIndex = index
								elseif SLH_HighestitemSellPrice < value
								then 
									SLH_HighestitemSellPrice = value 
									SLH_HighestitemSellPriceIndex = index
								end
							end
							C_Timer.After(_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectDelay"], function() GetQuestReward(SLH_HighestitemSellPriceIndex) end)
						elseif _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectionCriteria"] == "Largest Item Level Upgrade"
						then								
							for index, value in pairs(SLH_itemLevelChoicesTable) do 
								if index == 1 
								then 
									SLH_LargestItemLevelUpgrade = value 
									SLH_LargestItemLevelUpgradeIndex = index
								elseif SLH_LargestItemLevelUpgrade < value
								then 
									SLH_LargestItemLevelUpgrade = value 
									SLH_LargestItemLevelUpgradeIndex = index
								end
							end						
							C_Timer.After(_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectDelay"], function() GetQuestReward(SLH_LargestItemLevelUpgradeIndex) end)
						else
							_G_SLH["SLH_SF"]["Config"]["Print"]("No Automated Criteria Selected: Quest Automation Paused for Reward Selection. Please Select Reward and Click Complete Quest.")
						end
					else
						if _G_SLH["SLH_SV"][QA_Profile]["QA"]["ShowAutoSelectDisabledMessage"] == "Y"
						then
							_G_SLH["SLH_SF"]["Config"]["Print"]("Automated Criteria Disabled: Quest Automation Paused for Reward Selection. Please Select Reward and Click Complete Quest.")
						end
					end
					return
				end

			--Share Accepted Quests
				local SLH_QA_ShareAcceptedQuests = function (SLH_QAOptions, event, questID, ...)
					if IsInGroup() and _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestSharing"] == "Y" 
					then
						local SLH_QuestLogIndex = C_QuestLog.GetLogIndexForQuestID(questID)
						if SLH_QuestLogIndex == nil 
						then 
							if SLH_QuestLogTitle ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("Tried to Share Quest: '" .. SLH_QuestLogTitle .. "'.  Quest is not Shareable.") end
							return
						end
						local SLH_QuestLogInfo = C_QuestLog.GetInfo(SLH_QuestLogIndex)
						local SLH_QuestLogTitle = SLH_QuestLogInfo.title
						if C_QuestLog.IsPushableQuest(questID)
						then
							C_QuestLog.SetSelectedQuest(questID)
							QuestLogPushQuest()
						else
							if SLH_QuestLogTitle ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("Tried to Share Quest: '" .. SLH_QuestLogTitle .. "'.  Quest is not Shareable.") end
						end
					end
					return
				end

			--Accept Quests
				local SLH_QA_AvailableQuests = function (SLH_QAOptions, event, name, questStartItemID, ...)
					if IsAltKeyDown() then return end	
					--[[DevMode]]if SLH_QA_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AvailableQuests AvailableQuests: " .. event) end
					
					local SLH_NumGossipAvailableQuests = C_GossipInfo.GetNumAvailableQuests()		
					--[[DevMode]]if SLH_QA_DevMode and SLH_NumGossipAvailableQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AvailableQuests NumGossipAvailableQuests: " .. SLH_NumGossipAvailableQuests) end	
							
					local SLH_NumAvailableQuests = GetNumAvailableQuests()			
					--[[DevMode]]if SLH_QA_DevMode and SLH_NumAvailableQuests ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AvailableQuests SLH_NumAvailableQuests: " .. SLH_NumAvailableQuests) end								
		
					if SLH_NumGossipAvailableQuests ~= nil and SLH_NumGossipAvailableQuests > 0
					then
						local SLH_NumGossipAvailableQuestsGetOptionsTable = C_GossipInfo.GetAvailableQuests()
						--function isGreaterThan(a, b) return a > b end
						--table.sort(SLH_NumGossipAvailableQuestsGetOptionsTable, isGreaterThan)
						for i=1, SLH_NumGossipAvailableQuests do
							--Is Quest in quest Log?
							local SLH_GossipAvailableQuests_questID = SLH_NumGossipAvailableQuestsGetOptionsTable[i].questID	
							--Skip these quests:
								--"The Cost of Death"(64541) --Repetitive turn in, uses all your Stygia 
									if SLH_GossipAvailableQuests_questID == 64541 then _G_SLH["SLH_SF"]["Config"]["Print"]("QA: skipped 'The Cost of Death'") return end
						
											
							local SLH_GossipAvailableQuests_title = SLH_NumGossipAvailableQuestsGetOptionsTable[i].title	
							local SLH_GossipAvailableQuests_frequency = SLH_NumGossipAvailableQuestsGetOptionsTable[i].frequency	
							local SLH_GossipAvailableQuests_repeatable = SLH_NumGossipAvailableQuestsGetOptionsTable[i].repeatable
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipAvailableQuests_title ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_GossipAvailableQuests_title: " .. SLH_GossipAvailableQuests_title) end
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipAvailableQuests_frequency ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_GossipAvailableQuests_frequency: " .. SLH_GossipAvailableQuests_frequency) end
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipAvailableQuests_repeatable then _G_SLH["SLH_SF"]["Config"]["Print"]("SLH_GossipAvailableQuests_repeatable: True") end
							
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipAvailableQuests_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AvailableQuests AvailableQuests_questID: " .. SLH_GossipAvailableQuests_questID) end	
							local SLH_GossipAvailableQuests_questLogIndex = C_QuestLog.GetLogIndexForQuestID(SLH_GossipAvailableQuests_questID)												
							--[[DevMode]]if SLH_QA_DevMode and SLH_GossipAvailableQuests_questID ~= nil then if SLH_GossipAvailableQuests_questLogIndex then _G_SLH["SLH_SF"]["Config"]["Print"](SLH_GossipAvailableQuests_questID .. " In Quest Log") else _G_SLH["SLH_SF"]["Config"]["Print"](SLH_GossipAvailableQuests_questID .. " Not In Quest Log") end end
							
							if not SLH_GossipAvailableQuests_questLogIndex
							then 	
								C_GossipInfo.SelectAvailableQuest(i)
								if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_TextToSpeech(SLH_AcceptQuests_questID) end	 
							end					
						end
					elseif not(SLH_NumAvailableQuests == nil) and SLH_NumAvailableQuests > 0
					then
						for i=1, SLH_NumAvailableQuests do	
							--Is Quest in quest Log?
							SLH_AvailableQuests_questTitle = GetAvailableTitle(i)		
							--[[DevMode]]if SLH_QA_DevMode and SLH_AvailableQuests_questTitle ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AvailableQuests_questTitle: " .. SLH_AvailableQuests_questTitle) end	
							
							SLH_AvailableQuests_numShownEntries, SLH_AvailableQuests_numQuests = C_QuestLog.GetNumQuestLogEntries()
							
							if SLH_AvailableQuests_numShownEntries == nil then SLH_AvailableQuests_numShownEntries = 0 end
							if SLH_AvailableQuests_numQuests == nil then SLH_AvailableQuests_numQuests = 0 end
							
							if SLH_AvailableQuests_numShownEntries > SLH_AvailableQuests_numQuests
							then
								SLH_AvailableQuests_QuestLogCount = SLH_AvailableQuests_numShownEntries
							else
								SLH_AvailableQuests_QuestLogCount = SLH_AvailableQuests_numQuests
							end
							
							SLH_AvailableQuests_QuestinQuestLog = 0
							for i=1, SLH_AvailableQuests_QuestLogCount do
								SLH_AvailableQuests_QuestLogTitle = C_QuestLog.GetTitleForLogIndex(i)					
								--[[DevMode]]if SLH_QA_DevMode and SLH_AvailableQuests_QuestLogTitle ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("AvailableQuests_QuestLogTitle: " .. SLH_AvailableQuests_QuestLogTitle) end	
								if SLH_AvailableQuests_questTitle == SLH_AvailableQuests_QuestLogTitle
								then 
									SelectAvailableQuest(i) 
									if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_TextToSpeech(SLH_AcceptQuests_questID) end	 	
								end					
							end
					
							if SLH_AvailableQuests_QuestinQuestLog == 0
							then 
								SelectAvailableQuest(i)	
								if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_TextToSpeech(SLH_AcceptQuests_questID) end	
								--return
							end
						end
					end		
					return
				end
				
				local SLH_QA_AcceptQuests = function (SLH_QAOptions, event, name, questStartItemID, ...)	
					if IsAltKeyDown() then return end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_TextToSpeech() end
					--[[DevMode]]if SLH_QA_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AcceptQuests AcceptQuests: " .. event) end
					local SLH_AcceptQuests_questID = GetQuestID()
					C_Timer.After(_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestAcceptDelay"], function() AcceptQuest(questStartItemID) end)
					
					C_QuestLog.SetSelectedQuest(SLH_AcceptQuests_questID)
					SLH_AcceptQuests_SetSelectedQuestquestID = C_QuestLog.GetSelectedQuest()
					--[[DevMode]]if SLH_QA_DevMode and SLH_AcceptQuests_questID ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_AcceptQuests Accepted: " .. SLH_AcceptQuests_questID) end
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TextToSpeech"] == "Y" then SLH_QA_TextToSpeech(SLH_AcceptQuests_questID) end
					QuestLogPushQuest()
					return
				end
				

		--SLH_NC Module Scan
			local SLH_QA_Scan = function (self, event, ...)	
		
				--[[DevMode]]if SLH_QA_DevMode then _G_SLH["SLH_SF"]["Config"]["Print"]("NC: SLH_QA_Module_Scan Start") end		
				local SLH_Bags = {}	
				SLH_Bags[1]=0
				SLH_Bags[2]=1
				SLH_Bags[3]=2
				SLH_Bags[4]=3
				SLH_Bags[5]=4
				for index, SLH_bagID in ipairs(SLH_Bags) do
					local SLH_Bag_numberOfSlots = GetContainerNumSlots(SLH_bagID)
					for SLH_slot = 1, SLH_Bag_numberOfSlots do
						local SLH_icon, 
							SLH_itemCount,
							SLH_locked, 
							SLH_quality, 
							SLH_readable, 
							SLH_lootable,--Lockbox ID?
							SLH_itemLink, 
							SLH_isFiltered, 
							SLH_noValue, 
							SLH_itemID = GetContainerItemInfo(SLH_bagID, SLH_slot)
							
						if SLH_itemLink ~= nil
						then 
							local SLH_QA_lootstring = string.match(SLH_itemLink, "item[%-?%d:]+")
							SLH_QA_Module(self, event, SLH_itemLink, SLH_QA_lootstring)
						end
					end
				end
				return
			end
			

		--SLH_QA EventCall
			local SLH_QA_Events = function (SLH_QAOptions, event, name, ...)
				--[[DevMode]]if SLH_QA_DevMode and event ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("QA_Events: " .. event) end
				if _G_SLH["SLH_SV"][QA_Profile]["QA"]["DisableAtMaxLevel"] == "Y" and UnitLevel("player") == 60 then return end
				
				--Run_SLH_AvailableQuests
					Run_SLH_AvailableQuests = CreateFrame("Frame","Run_SLH_AvailableQuests")
					Run_SLH_AvailableQuests:RegisterEvent("GOSSIP_SHOW")
					Run_SLH_AvailableQuests:RegisterEvent("QUEST_GREETING")
					Run_SLH_AvailableQuests:RegisterEvent("QUEST_FINISHED")
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == "Y"
						then Run_SLH_AvailableQuests:HookScript("OnEvent", SLH_QA_AvailableQuests)
					end
					
				--Run_SLH_AcceptQuests
					Run_SLH_AcceptQuests = CreateFrame("Frame","Run_SLH_AcceptQuests")
					Run_SLH_AcceptQuests:RegisterEvent("QUEST_DETAIL")
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == "Y"
						then Run_SLH_AcceptQuests:HookScript("OnEvent", SLH_QA_AcceptQuests)
					end
						
				--Run_SLH_ActiveQuests
					Run_SLH_ActiveQuests = CreateFrame("Frame","Run_SLH_ActiveQuests")
					Run_SLH_ActiveQuests:RegisterEvent("GOSSIP_SHOW")
					Run_SLH_ActiveQuests:RegisterEvent("QUEST_GREETING")
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == "Y"
						then Run_SLH_ActiveQuests:HookScript("OnEvent", SLH_QA_ActiveQuests)
					end
					
				--Run_SLH_CompleteQuests
					Run_SLH_CompleteQuests = CreateFrame("Frame","Run_SLH_CompleteQuests")
					Run_SLH_CompleteQuests:RegisterEvent("QUEST_PROGRESS")
					Run_SLH_CompleteQuests:RegisterEvent("QUEST_COMPLETE")
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == "Y"
						then Run_SLH_CompleteQuests:HookScript("OnEvent", SLH_QA_CompleteQuests)
					end
						
				--Run_SLH_ShareAcceptedQuests
					Run_SLH_ShareAcceptedQuests = CreateFrame("Frame","Run_SLH_ShareAcceptedQuests")
					Run_SLH_ShareAcceptedQuests:RegisterEvent("QUEST_ACCEPTED")
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == "Y"
						then Run_SLH_ShareAcceptedQuests:HookScript("OnEvent", SLH_QA_ShareAcceptedQuests)
					end	
				
				--Run_SLH_QA_GossipText
					Run_SLH_QA_GossipText = CreateFrame("Frame","Run_SLH_QA_GossipText")
					Run_SLH_QA_GossipText:RegisterEvent("GOSSIP_SHOW")
					Run_SLH_QA_GossipText:RegisterEvent("QUEST_GREETING")
					if _G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] == "Y"
						then Run_SLH_QA_GossipText:HookScript("OnEvent", SLH_QA_GossipText)
					end

				return
			end

		--SLH_QA Config Screen
			local SLH_QA_Frames = function  (self, event, name, ...)

				-- SLH_QA Options
					local SLH_QAOptions = CreateFrame( "Frame", "SLH_QAOptions")
					SLH_QAOptions.name = "Quest Automation"
					-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
						SLH_QAOptions.parent = SLH_Config_Panel.name
					-- Add the child to the Interface Options
						InterfaceOptions_AddCategory(SLH_QAOptions)
					--Add Title
						local SLH_QAOptionsTitle = SLH_QAOptions:CreateFontString(nil, "ARTWORK","GameFontNormalLarge")
						SLH_QAOptionsTitle:SetPoint("TOPLEFT", 10, -10)
						SLH_QAOptionsTitle:SetText("Salen's Little Helper - Quest Automation Options")

			
				--SLH_QADetail - Create Scroll Frame		
					SLH_QADetail = securecall(_G_SLH["SLH_SF"]["SLH_CreateScrollFrame"],SLH_QAOptions,--self
						"SLH_QADetail",--FrameName
						SLH_QAOptions,--relativeFrame
						5,--xOffset
						-30,--yOffset
						SLH_QAOptions,--relativeFrame
						-5,--xOffset
						5,--yOffset
						"Quest Automation Options"--Title
						)
					SLH_QADetail.ScrollBar:ClearAllPoints()
					SLH_QADetail.ScrollBar:SetPoint("TOPLEFT", SLH_QADetail, "TOPRIGHT", -25, -20)
					SLH_QADetail.ScrollBar:SetPoint("BOTTOMRIGHT", SLH_QADetail, "BOTTOMRIGHT", -5, 25)
					SLH_QADetail:SetClipsChildren(true)		
					
					--(Uncomment to) Set Background Color
						--SLH_QADetail.bg = SLH_QADetail:CreateTexture(nil, "BACKGROUND")
						--SLH_QADetail.bg:SetAllPoints(true)
						--SLH_QADetail.bg:SetColorTexture(0.8, 0.4, 0, 0.2)
					--End Set Background Color

					--SLH_QADetailScrollFrameChild
						local SLH_QADetailScrollFrameChild = CreateFrame("Frame", nil, SLH_QADetail)
						SLH_QADetailScrollFrameChild:SetSize(600, 470)
							--(Uncomment to) Set Background Color
								--SLH_QADetailScrollFrameChild.bg = SLH_QADetailScrollFrameChild:CreateTexture(nil, "BACKGROUND")
								--SLH_QADetailScrollFrameChild.bg:SetAllPoints(true)
								--SLH_QADetailScrollFrameChild.bg:SetColorTexture(0.2, 0.6, 0, 0.8)
							--End Set Background Color
						SLH_QADetail:SetScrollChild(SLH_QADetailScrollFrameChild)	
						SLH_QADetailScrollFrameChild:SetClipsChildren(true)		
			
					

					--SLH_QADetail Title 
						SLH_QADetailScrollFrameChild.title = SLH_QADetailScrollFrameChild:CreateFontString (nil, "OVERLAY")
						SLH_QADetailScrollFrameChild.title:SetFontObject("GameFontHighlight")
						SLH_QADetailScrollFrameChild.title:SetPoint("LEFT", SLH_QADetailScrollFrameChild.TitleBg, "LEFT", 5, 0)
						SLH_QADetailScrollFrameChild.title:SetText("Quest Automation Options")	
						SLH_QADetailScrollFrameChild.title:SetTextColor(_G_SLH["SLH_SF"]["SLH_TitleColors"].r, _G_SLH["SLH_SF"]["SLH_TitleColors"].g, _G_SLH["SLH_SF"]["SLH_TitleColors"].b, _G_SLH["SLH_SF"]["SLH_TitleColors"].a)					

					--MasterFrame.SLH_QADetail Buttons
						-- Enable_SLH_QA Check Button:
							Enable_SLH_QA = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QADetailScrollFrameChild,--relativeFrame
								"Enable_SLH_QA",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								10,--xOffset
								-20,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"Enable",--SVPath3
								"Enable Quest Automation",--text
								"Will Auto Accept all quests on interaction with Quest giver\n\nHolding Alt key disables Quest Automation on the fly"--tooltip
								)
								Enable_SLH_QA:HookScript("OnClick", function(self, arg1)			
									if Enable_SLH_QA:GetChecked() 
										then 
											_G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] = "Y"
											SLH_QA_SetVars(self, event, name)
											SLH_QA_Events(self, event, name)
										else 
											_G_SLH["SLH_SV"][QA_Profile]["QA"]["Enable"] = "N"
											--if _G_SLH["SLH_SV"][QA_Profile]["QA"]["DisableAtMaxLevel"] == "Y" and UnitLevel("player") == 60 then return end
											
											if Run_SLH_ActiveQuests then Run_SLH_ActiveQuests:UnregisterAllEvents()	end
											if Run_SLH_CompleteQuests then Run_SLH_CompleteQuests:UnregisterAllEvents()	end
											if Run_SLH_AvailableQuests then Run_SLH_AvailableQuests:UnregisterAllEvents()	end
											if Run_SLH_AcceptQuests then Run_SLH_AcceptQuests:UnregisterAllEvents()	end				
									end
								end)
										
						-- Enable_SLH_QA - in seconds
							SLH_QA_QuestListDelay = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_QAOptions,--
								"TOPLEFT",--point
								Enable_SLH_QA,--relativeFrame
								"SLH_QA_QuestListDelay" ,--FrameName
								"BOTTOMLEFT",--relativePoint
								10,--xOffset
								-40,--yOffset
								0,--Min
								5,--Max
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestListDelay"],--Value
								.05,--Step
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"QuestListDelay",--SVPath3
								"Quest List Delay",--text
								"Set Quest List Delay\n\nQuest List is the first screen showing the list of all available quests\n\nDefault 0 seconds"--tooltip
								)
										
						-- SLH_QA_QuestAcceptDelay - in seconds
							SLH_QA_QuestAcceptDelay = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_QAOptions,--
								"TOPLEFT",--point
								SLH_QA_QuestListDelay,--relativeFrame
								"SLH_QA_QuestAcceptDelay" ,--FrameName
								"BOTTOMLEFT",--relativePoint
								0,--xOffset
								-50,--yOffset
								0,--Min
								5,--Max
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestAcceptDelay"],--Value
								.05,--Step
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"QuestAcceptDelay",--SVPath3
								"Quest Accept Delay",--text
								"Set Quest Accept Delay\n\nQuest Accept is the screen showing the Quest Details\n\nDefault 0 seconds"--tooltip
								)
										
						-- SLH_QA_QuestCompleteDelay - in seconds
							SLH_QA_QuestCompleteDelay = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_QAOptions,--
								"TOPLEFT",--point
								SLH_QA_QuestAcceptDelay,--relativeFrame
								"SLH_QA_QuestCompleteDelay" ,--FrameName
								"BOTTOMLEFT",--relativePoint
								0,--xOffset
								-50,--yOffset
								0,--Min
								5,--Max
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestCompleteDelay"],--Value
								.05,--Step
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"QuestCompleteDelay",--SVPath3
								"Quest Complete Delay",--text
								"Set Quest Complete Delay\n\nQuest Complete is NOT finishing the quest. It is the screen where you hit continue to get to the quest rewards\n\nDefault 0 seconds"--tooltip
								)
										
						-- SLH_QA_QuestRewardSelectDelay - in seconds
							SLH_QA_QuestRewardSelectDelay = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_QAOptions,--
								"TOPLEFT",--point
								SLH_QA_QuestCompleteDelay,--relativeFrame
								"SLH_QA_QuestRewardSelectDelay" ,--FrameName
								"BOTTOMLEFT",--relativePoint
								0,--xOffset
								-50,--yOffset
								0,--Min
								5,--Max
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectDelay"],--Value
								.05,--Step
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"QuestRewardSelectDelay",--SVPath3
								"Quest Reward Delay",--text
								"Set Quest Reward Selection Delay\n\nQuest Reward is the screen where you Select a Reward if there are Choices, and then Click Complete.\n\nDefault 0 seconds"--tooltip
								)
								
						-- SLH_QA_AutoSelectRewards Check Button:
							SLH_QA_AutoSelectRewards = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_QuestRewardSelectDelay,--relativeFrame
								"SLH_QA_AutoSelectRewards",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								-10,--xOffset
								-40,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"AutoSelectRewards",--SVPath3
								"Auto Select Rewards",--text
								"Automatically select Quest Rewards based on the criteria chosen?\n\nCaveat Emptor: Be aware this involves risk.  The reward selection is auto selected based on your choice.  You may not get what you want. Probably fine for Heirloom users others may or may not want to use this.\n\nWeapons will not be auto selected."--tooltip
								)									
								
						-- Create DropDown Table
								local SLH_QA_QuestRewardSelectionCriteriaTable = {}
								SLH_QA_QuestRewardSelectionCriteriaTable[1] = "Highest Vendor Sell Price"
								SLH_QA_QuestRewardSelectionCriteriaTable[2] = "Largest Item Level Upgrade"
								
								
						-- Set Title Text
							if _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectionCriteria"] == nil 
							then 
								_G_SLH["SLH_SF"]["QuestRewardSelectionCriteriaTitle"] = "Select Quest Reward Selection Method"
							else 
								_G_SLH["SLH_SF"]["QuestRewardSelectionCriteriaTitle"] = _G_SLH["SLH_SV"][QA_Profile]["QA"]["QuestRewardSelectionCriteria"]
							end
							
						--Create DropDown 	
							securecall(_G_SLH["SLH_SF"]["SLH_CreateDropDownList"],SLH_QAOptions,--self
								"TOPLEFT",--point 
								SLH_QA_AutoSelectRewards,--relativeFrame
								SLH_QA_QuestRewardSelectionCriteria,--FrameName
								"SLH_QA_QuestRewardSelectionCriteria",--FrameNameText
								"TOPLEFT",--relativePoint
								200,--Width
								0,--xOffset
								-20,--yOffset						
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"QuestRewardSelectionCriteria",--SVPath3
								_G_SLH["SLH_SF"]["QuestRewardSelectionCriteriaTitle"],--text
								SLH_QA_QuestRewardSelectionCriteriaTable,--DropDownListTable
								"SLH_QA_QuestRewardSelectionCriteriaDropDown_ContextMenu",--ContextMenuName
								SLH_QADetailScrollFrameChild,--ContextMenuParent
								"MENU",--ContextOrDropDown - "MENU" = Context anything else is dropdown
								"Dynamic"--Static vs Dynamically created List?
								)	
								
						-- SLH_QA_ExcludeWeapons Check Button:
							SLH_QA_ExcludeWeapons = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_QuestRewardSelectionCriteria,--relativeFrame
								"SLH_QA_ExcludeWeapons",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-30,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"ExcludeWeapons",--SVPath3
								"Exclude Weapons when Auto Selecting Rewards?",--text
								"Exclude Weapons when Auto Selecting Rewards? Forces choosing your quest reward for weapons, as a simple item level compare does not cover enough weapon selection variables to be useful."--tooltip
								)	
								
						-- SLH_QA_ShowAutoSelectDisabledMessage Check Button:
							SLH_QA_ShowAutoSelectDisabledMessage = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_ExcludeWeapons,--relativeFrame
								"SLH_QA_ShowAutoSelectDisabledMessage",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-40,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"ShowAutoSelectDisabledMessage",--SVPath3
								"Show Auto Select Rewards Disabled Message",--text
								"Shows a message indicating that Auto selecting of Rewards is disabled so you need to choose your quest reward, and complete the quest."--tooltip
								)
								
						--Right Side
								
						-- SLH_QA_DisableAtMaxLevel Check Button:
							SLH_QA_DisableAtMaxLevel = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								Enable_SLH_QA,--relativeFrame
								"SLH_QA_DisableAtMaxLevel",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								280,--xOffset
								0,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"DisableAtMaxLevel",--SVPath3
								"Disable Quest Automation at Max Level?",--text
								"Disables Quest Automation when you character reaches Max Level for your account\n\nAllows you to keep your current settings and not worry about lost quest rewards at max level.\n\nThis setting requires a reload after a change."--tooltip
								)
								
						-- SLH_QA_QuestSharing Check Button:
							SLH_QA_QuestSharing = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_DisableAtMaxLevel,--relativeFrame
								"SLH_QA_QuestSharing",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-20,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"QuestSharing",--SVPath3
								"Enable Automated Quest Sharing?",--text
								"Enables Automated Quest Sharing\n\nWill attempt to share all quests you accept\n\nShows a message when sharing fails."--tooltip
								)
								
						-- SLH_QA_GossipText Check Button:
							SLH_QA_GossipText = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_QuestSharing,--relativeFrame
								"SLH_QA_GossipText",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-20,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"GossipText",--SVPath3
								"Enable Automated Gossip Text Selection?",--text
								"Enables Automated Gossip Text Selection\n\nWill attempt to select the first gossip option after all Quest processes are completed.\n\nMay not always select what you what hold Alt when thing do not go as planned..."--tooltip
								)
								
						-- SLH_QA_TextToSpeech Check Button:
							SLH_QA_TTS = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_GossipText,--relativeFrame
								"SLH_QA_TTS",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-40,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"TextToSpeech",--SVPath3
								"Enable Text To Speech?",--text
								"Enables Text To Speech\n\nUse Blizzard TTS for Gossip and/or Quest Text?\n\nDefault = N"--tooltip
								)
					
						-- SLH_QA_TTSGossip Check Button:
							SLH_QA_TTSGossip = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_TTS,--relativeFrame
								"SLH_QA_TTSGossip",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-20,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"TTSGossip",--SVPath3
								"Enable TTS for Gossip Text?",--text
								"Enables TTS for Gossip Text\n\nUse Blizzard TTS for Gossip Text\n\nDefault = N"--tooltip
								)
								
						-- SLH_QA_TTSDescription Check Button:
							SLH_QA_TTSDescription = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_TTSGossip,--relativeFrame
								"SLH_QA_TTSDescription",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-20,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"GossipText",--SVPath3
								"Enable TTS for Description Text?",--text
								"Enables TTS for Description Text\n\nUse TTS for Quest Descriptions\n\nDefault = Y"--tooltip
								)
								
						-- SLH_QA_TTSObjectives Check Button:
							SLH_QA_TTSObjectives = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_QAOptions,--self
								"TOPLEFT",--point
								SLH_QA_TTSDescription,--relativeFrame
								"SLH_QA_TTSObjectives",--FrameName
								"TOPLEFT",--relativePoint
								20,--Width
								20,--Height
								0,--xOffset
								-20,--yOffset
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"GossipText",--SVPath3
								"Enable TTS for Objective Text?",--text
								"Enables TTS for Objective Text\n\nUse TTS for Quest Objectives\n\nDefault = N"--tooltip
								)					
								
						-- Create DropDown Table		
								local SLH_QA_TTSVoiceDDTable = {}
								
								local SLH_QA_TTSVoiceDDTableGetTtsVoices = C_VoiceChat.GetTtsVoices()
								for k, v in pairs(SLH_QA_TTSVoiceDDTableGetTtsVoices) do
									for k2, v2 in pairs(v) do
										if k2 == "name" then SLH_QA_TTSVoiceDDTable[#SLH_QA_TTSVoiceDDTable+1] = v2 end
									end
								end
								
						-- Set Title Text
							local SLH_QA_TTSVoiceTable = C_VoiceChat.GetRemoteTtsVoices()
							
							if _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVoiceTitle"] == nil 
							then 
								_G_SLH["SLH_SF"]["QA"]["TTSVoiceTitle"] = "Select Quest Reward Selection Method"
							else 
								_G_SLH["SLH_SF"]["QA"]["TTSVoiceTitle"] = _G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVoiceTitle"]
							end
										
						-- SLH_QA_TTSVoiceDD - in seconds								
							securecall(_G_SLH["SLH_SF"]["SLH_CreateDropDownList"],SLH_QAOptions,--self
								"TOPLEFT",--point 
								SLH_QA_TTSObjectives,--relativeFrame
								SLH_QA_TTSVoiceDD,--FrameName
								"SLH_QA_TTSVoiceDD",--FrameNameText
								"TOPLEFT",--relativePoint
								200,--Width
								0,--xOffset
								-20,--yOffset						
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"TTSVoice",--SVPath3
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVoiceTitle"],--text
								SLH_QA_TTSVoiceDDTable,--DropDownListTable
								"SLH_QA_TTSVoiceDDDropDown_ContextMenu",--ContextMenuName
								SLH_QADetailScrollFrameChild,--ContextMenuParent
								"MENU",--ContextOrDropDown - "MENU" = Context anything else is dropdown
								"Dynamic"--Static vs Dynamically created List?
								)
										
						-- SLH_QA_TTSVolume - in seconds
							SLH_QA_TTSVolume = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_QAOptions,--
								"TOPLEFT",--point
								SLH_QA_TTSVoiceDD,--relativeFrame
								"SLH_QA_TTSVolume" ,--FrameName
								"BOTTOMLEFT",--relativePoint
								0,--xOffset
								-40,--yOffset
								0,--Min
								100,--Max
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSVolume"],--Value
								1,--Step
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"TTSVolume",--SVPath3
								"TTS Volume",--text
								"TTS Volume\n\nAdjusts Text to Speech Volume\n\nDefault 50"--tooltip
								)
										
						-- SLH_QA_TTSRate - in seconds
							SLH_QA_TTSRate = securecall(_G_SLH["SLH_SF"]["SLH_CreateSlider"],SLH_QAOptions,--
								"TOPLEFT",--point
								SLH_QA_TTSVolume,--relativeFrame
								"SLH_QA_TTSRate" ,--FrameName
								"BOTTOMLEFT",--relativePoint
								0,--xOffset
								-20,--yOffset
								-10,--Min
								10,--Max
								_G_SLH["SLH_SV"][QA_Profile]["QA"]["TTSRate"],--Value
								1,--Step
								"SLH_SV",--SVPath0
								QA_Profile,--SVPath1
								"QA",--SVPath2
								"TTSRate",--SVPath3
								"TTS Rate",--text
								"TTS Rate\n\nAdjusts Text to Speech Rate\n\nDefault 0"--tooltip
								)
								
										
			end

			
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["QA_Load"] == "Y" then
				SLH_QA_SetVars(self, event, name, ...)
				SLH_QA_Events(self, event, name, ...)
			end
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["QA_Hide"] == "N" then
				SLH_QA_Frames(self, event, name, ...)
			end
		
		
	end	)	