--Run SLH_Config_Lua  	
	SLH_C_Lua = CreateFrame("Frame", "SLH_C_Lua")
	SLH_C_Lua:RegisterEvent("ADDON_LOADED")
	SLH_C_Lua:HookScript("OnEvent", function (self, event, name, ...)
		if (name ~= "SalensLittleHelper") then return end

		--Theoretically speeds up access to global variables by making them local.  This is supposed to be faster.  I have no proof this is true.	
			local _G_SLH = _G 

		local SLH_PCSV_UnitName = _G_SLH["SLH_PCSV"]["SLH_PCSV_UnitNameGlobal"]
		local C_Profile = _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["C_Profile"]
			
		--Development Mode Boolean (Controls various Overrides, disable to test and distribute.)
			local SLH_C_DevMode = false
			--[[DevMode]]if SLH_C_DevMode and name ~= nil then _G_SLH["SLH_SF"]["Config"]["Print"]("C_Lua addonName: " .. name) end	
			
			
		-- Set Variables
			local SLH_C_SetVars = function (self, event, name, ...)
				-- Test/Create SLH_SV Table		
					if _G_SLH["SLH_SV"] == nil then _G_SLH["SLH_SV"] = {} end			
				-- Test/Create SLH_SV.C_Profile Table
					if _G_SLH["SLH_SV"][C_Profile] == nil then _G_SLH["SLH_SV"][C_Profile] = {}  end	
				-- Test/Create SLH_C Table
					if _G_SLH["SLH_SV"][C_Profile]["C"] == nil then _G_SLH["SLH_SV"][C_Profile]["C"] = {}  end	
										
				-- Test/Create SLH_C Variables
					if _G_SLH["SLH_SV"][C_Profile]["C"]["Enable"] == nil then _G_SLH["SLH_SV"][C_Profile]["C"]["Enable"] = "Y" end
					if _G_SLH["SLH_SV"][C_Profile]["C"]["AutoSkip"] == nil then _G_SLH["SLH_SV"][C_Profile]["C"]["AutoSkip"] = "Y" end
					if _G_SLH["SLH_SV"][C_Profile]["C"]["ShowSubtitles"] == nil then _G_SLH["SLH_SV"][C_Profile]["C"]["ShowSubtitles"] = "Y" end
			end

		--SLH_C Module
			local SLH_C_Module = function (SLH_COptions, event, name, ...)
			--[[DevMode]]if SLH_C_DevMode  then _G_SLH["SLH_SF"]["Config"]["Print"]("C_Lua addonName: " .. "event") end	
				if IsAltKeyDown() then return end
				CancelScene()
				StopCinematic()
				MovieFrame:StopMovie()
			end

		--SLH_C EventCall
			local SLH_C_Events = function (SLH_COptions, event, name, ...)
				
				--Create SLH_C EventFrame
					SLH_CEventFrame = CreateFrame("Frame","SLH_CEventFrame")			

				-- Register SLH_C events
					SLH_CEventFrame:RegisterEvent("CINEMATIC_START")
					SLH_CEventFrame:RegisterEvent("PLAY_MOVIE")

				--Call SLH_C HookScript
					if _G_SLH["SLH_SV"][C_Profile]["C"]["Enable"] == "Y"
					then 
						SLH_CEventFrame:HookScript("OnEvent", SLH_C_Module)
					end	
					
				-- Register SLH_C events
					MovieFrame:RegisterEvent("PLAY_MOVIE")

				--Call SLH_C HookScript
					if _G_SLH["SLH_SV"][C_Profile]["C"]["Enable"] == "Y"
					then 
						MovieFrame:HookScript("OnEvent", SLH_C_Module)
					end			
			end

		--SLH_C Config Screen
			local SLH_C_Frames = function  (self, event, name, ...)

				-- SLH_C Options
							SLH_COptions = CreateFrame( "Frame", "SLH_COptions")
						SLH_COptions.name = "Cinematics"
						-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
							SLH_COptions.parent = SLH_Config_Panel.name
						-- Add the child to the Interface Options
							InterfaceOptions_AddCategory(SLH_COptions)
						--Add Title
							local SLH_COptionsTitle = SLH_COptions:CreateFontString(nil, "ARTWORK","GameFontNormalLarge")
							SLH_COptionsTitle:SetPoint("TOPLEFT", 10, -10)
							SLH_COptionsTitle:SetText("Salen's Little Helper - Cinematics Options")			
					
				--SLH_CDetail - Create Scroll Frame		
					SLH_CDetail = securecall(_G_SLH["SLH_SF"]["SLH_CreateScrollFrame"],SLH_COptions, --self
						"SLH_CDetail", --FrameName
						SLH_COptions, --TOPLEFTrelativeFrame
						5, --TOPLEFTxOffset
						-30, --TOPLEFTyOffset
						SLH_COptions, --BOTTOMRIGHTrelativeFrame
						-5, --BOTTOMRIGHTxOffset
						5,--BOTTOMRIGHTyOffset
						"Cinematics Options" -- Title
						)
					SLH_CDetail.parent = SLH_COptions
					
					SLH_CDetail.ScrollBar:ClearAllPoints()
					SLH_CDetail.ScrollBar:SetPoint("TOPLEFT", SLH_CDetail, "TOPRIGHT", -25, -20)
					SLH_CDetail.ScrollBar:SetPoint("BOTTOMRIGHT", SLH_CDetail, "BOTTOMRIGHT", -5, 25)
					SLH_CDetail:SetClipsChildren(true)		
					
					--(Uncomment to) Set Background Color
						--SLH_CDetail.bg = SLH_CDetail:CreateTexture(nil, "BACKGROUND")
						--SLH_CDetail.bg:SetAllPoints(true)
						--SLH_CDetail.bg:SetColorTexture(0.8, 0.4, 0, 0.2)
					--End Set Background Color

					--SLH_CDetailScrollFrameChild
						local SLH_CDetailScrollFrameChild = CreateFrame("Frame", nil, SLH_CDetail)
						SLH_CDetailScrollFrameChild:SetSize(600, 470)
							--(Uncomment to) Set Background Color
								--SLH_CDetailScrollFrameChild.bg = SLH_CDetailScrollFrameChild:CreateTexture(nil, "BACKGROUND")
								--SLH_CDetailScrollFrameChild.bg:SetAllPoints(true)
								--SLH_CDetailScrollFrameChild.bg:SetColorTexture(0.2, 0.6, 0, 0.8)
							--End Set Background Color
						SLH_CDetail:SetScrollChild(SLH_CDetailScrollFrameChild)	
						SLH_CDetailScrollFrameChild:SetClipsChildren(true)		
			
					

					--SLH_CDetail Title 
						SLH_CDetailScrollFrameChild.title = SLH_CDetailScrollFrameChild:CreateFontString (nil, "OVERLAY")
						SLH_CDetailScrollFrameChild.title:SetFontObject("GameFontHighlight")
						SLH_CDetailScrollFrameChild.title:SetPoint("LEFT", SLH_CDetailScrollFrameChild.TitleBg, "LEFT", 5, 0)
						SLH_CDetailScrollFrameChild.title:SetText("Cinematics Options")	
						SLH_CDetailScrollFrameChild.title:SetTextColor(_G_SLH["SLH_SF"]["SLH_TitleColors"].r, _G_SLH["SLH_SF"]["SLH_TitleColors"].g, _G_SLH["SLH_SF"]["SLH_TitleColors"].b, _G_SLH["SLH_SF"]["SLH_TitleColors"].a)					

					--MasterFrame.SLH_CDetail Buttons
						-- Enable_SLH_C Check Button:
							SLH_CDetailScrollFrameChild.Enable_SLH_C = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_COptions, --self
								"TOPLEFT", --point
								SLH_CDetailScrollFrameChild, --relativeFrame
								"Enable_SLH_C", --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								10, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								C_Profile, --SVPath1
								"C", --SVPath2
								"Enable", --SVPath3
								"Enable Cinematics", --text
								"Enables Cinematics Control\n\nHolding Alt key disables Cinematics on the fly" --tooltip
								)
								Enable_SLH_C:HookScript("OnClick", function(self, arg1)			
									if Enable_SLH_C:GetChecked() 
										then 
											_G_SLH["SLH_SV"][C_Profile]["C"]["Enable"] = "Y"
											SLH_C_SetVars(self, event, name)
											SLH_C_Events(self, event, name)
										else 
											_G_SLH["SLH_SV"][C_Profile]["C"]["Enable"] = "N"
											SLH_CEventFrame:UnregisterAllEvents()																		
									end
								end)
								
						-- Enable_SLH_C Check Button:
							SLH_CDetailScrollFrameChild.SLH_C_AutoSkip = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_COptions, --self
								"TOPLEFT", --point
								Enable_SLH_C, --relativeFrame
								"SLH_C_AutoSkip" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-40, --yOffset
								"SLH_SV", --SVPath0
								C_Profile, --SVPath1
								"C", --SVPath2
								"AutoSkip", --SVPath3
								"Auto Skip Cinematics", --text
								"Auto Skip Cinematics?\n\nDefault = 'N'" --tooltip
								)
								
						-- Enable_SLH_C Check Button:
							SLH_CDetailScrollFrameChild.SLH_C_ShowSubtitles = securecall(_G_SLH["SLH_SF"]["SLH_CreateCheckButton"],SLH_COptions, --self
								"TOPLEFT", --point
								SLH_C_AutoSkip, --relativeFrame
								"SLH_C_ShowSubtitles" , --FrameName
								"TOPLEFT", --relativePoint
								20, --Width
								20, --Height
								0, --xOffset
								-20, --yOffset
								"SLH_SV", --SVPath0
								C_Profile, --SVPath1
								"C", --SVPath2
								"ShowSubtitles", --SVPath3
								"Cinematics Subtitles", --text
								"Show Cinematics Subtitles?\n\nDefault = 'N'" --tooltip
								)	
							-- Set Saved Variable Value on Click
							--SLH_C_ShowSubtitles:RegisterForClicks("LeftButtonUp", "RightButtonDown")
							SLH_C_ShowSubtitles:HookScript("OnClick", function(self, arg1)			
								if SLH_C_ShowSubtitles:GetChecked() 
									then _G_SLH["SLH_SV"][C_Profile]["C"]["ShowSubtitles"] = "Y"
									else _G_SLH["SLH_SV"][C_Profile]["C"]["ShowSubtitles"] = "N"
								end
								securecall(SetCVar,"movieSubtitle", SLH_C_ShowSubtitles:GetChecked())
							end)		
			end

				
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["C_Load"] == "Y" then		
				SLH_C_SetVars(self, event, name, ...)
				SLH_C_Events(self, event, name, ...)
			end
			if _G_SLH["SLH_PCSV"][SLH_PCSV_UnitName]["Config"]["C_Hide"] == "N" then		
				SLH_C_Frames(self, event, name, ...)
			end
		
	end	)	